
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('menu'); ?><?php echo e($menu); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0"><?php echo e(__('message.settings')); ?></h1>
                </div>
                <!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#"><?php echo e(__('message.home')); ?></a></li>
                        <li class="breadcrumb-item"><a href="#"><?php echo e(__('message.settings')); ?></a></li>
                        <li class="breadcrumb-item active"><?php echo e(__('message.general')); ?></li>
                    </ol>
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
            <div class="card card-default">
                <div class="card-header">
                    <h3 class="card-title"><?php echo e(__('message.general')); ?></h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse">
                        <i class="fas fa-minus"></i>
                        </button>
                    </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                <form id="admin_display_settings_form" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.logo')); ?></label>
                                <input type="file" class="form-control dropify" name="site_logo" 
                                data-default-file="<?php echo e(setting('site_logo')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.banner')); ?></label>
                                <input type="file" class="form-control dropify" name="site_banner" 
                                data-default-file="<?php echo e(setting('site_banner')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.breadcrumb_image')); ?></label>
                                <input type="file" class="form-control dropify" name="testimonials_banner" 
                                data-default-file="<?php echo e(setting('testimonials_banner')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.favicon')); ?></label>
                                <input type="file" class="form-control dropify" name="site_favicon" 
                                data-default-file="<?php echo e(setting('site_favicon')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-12">
                            <h2><?php echo e(__('message.colors_menu')); ?></h2>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.display_front_color_theme_selector_panel')); ?></label><br />
                                <input type="radio" class="minimal" name="display_front_color_theme_selector_panel" value="yes" 
                                <?php echo e(sel(setting('display_front_color_theme_selector_panel'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="display_front_color_theme_selector_panel" value="no"
                                <?php echo e(sel(setting('display_front_color_theme_selector_panel'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.default_front_color_theme')); ?></label><br />
                                <select class="form-control" name="default_front_color_theme">
                                    <option value="blue" <?php echo e(sel(setting('default_front_color_theme'), 'blue')); ?>>
                                        <?php echo e(__('message.blue')); ?>

                                    </option>
                                    <option value="green" <?php echo e(sel(setting('default_front_color_theme'), 'green')); ?>>
                                        <?php echo e(__('message.green')); ?>

                                    </option>
                                    <option value="orange" <?php echo e(sel(setting('default_front_color_theme'), 'orange')); ?>>
                                        <?php echo e(__('message.orange')); ?>

                                    </option>
                                    <option value="magenta" <?php echo e(sel(setting('default_front_color_theme'), 'magenta')); ?>>
                                        <?php echo e(__('message.magenta')); ?>

                                    </option>
                                    <option value="brown" <?php echo e(sel(setting('default_front_color_theme'), 'brown')); ?>>
                                        <?php echo e(__('message.brown')); ?>

                                    </option>
                                    <option value="maldives" <?php echo e(sel(setting('default_front_color_theme'), 'maldives')); ?>>
                                        <?php echo e(__('message.maldives')); ?>

                                    </option>                                    
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.display_main_menu_as_full_width')); ?></label><br />
                                <input type="radio" class="minimal" name="display_main_menu_as_full_width" value="yes" 
                                <?php echo e(sel(setting('display_main_menu_as_full_width'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="display_main_menu_as_full_width" value="no"
                                <?php echo e(sel(setting('display_main_menu_as_full_width'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.display_main_menu_bg_as_transparent')); ?></label><br />
                                <input type="radio" class="minimal" name="display_main_menu_bg_as_transparent" value="yes" 
                                <?php echo e(sel(setting('display_main_menu_bg_as_transparent'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="display_main_menu_bg_as_transparent" value="no"
                                <?php echo e(sel(setting('display_main_menu_bg_as_transparent'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="1">
                                    <input type="text" name="main_menu_bg" class="form-control" value="<?php echo e(setting('main_menu_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_banner_height')); ?></label>
                                <input type="text" class="form-control" name="main_banner_height" value="<?php echo e(setting('main_banner_height')); ?>">
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_banner_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_banner_bg" class="form-control" value="<?php echo e(setting('main_banner_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_banner_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_font_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_menu_font_color" class="form-control" value="<?php echo e(setting('main_menu_font_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_font_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_font_highlight_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_menu_font_highlight_color" class="form-control" value="<?php echo e(setting('main_menu_font_highlight_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_font_highlight_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.body_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="body_bg" class="form-control" value="<?php echo e(setting('body_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('body_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>                        
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-12">
                            <h2><?php echo e(__('message.listing_limits')); ?></h2>
                        </div>                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.jobs_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="jobs_per_page" value="5" 
                                <?php echo e(sel(setting('jobs_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="jobs_per_page" value="10"
                                <?php echo e(sel(setting('jobs_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="jobs_per_page" value="25"
                                <?php echo e(sel(setting('jobs_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="jobs_per_page" value="50"
                                <?php echo e(sel(setting('jobs_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.news_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="news_per_page" value="5" 
                                <?php echo e(sel(setting('news_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="news_per_page" value="10"
                                <?php echo e(sel(setting('news_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="news_per_page" value="25"
                                <?php echo e(sel(setting('news_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="news_per_page" value="50"
                                <?php echo e(sel(setting('news_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.companies_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="companies_per_page" value="5" 
                                <?php echo e(sel(setting('companies_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="companies_per_page" value="10"
                                <?php echo e(sel(setting('companies_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="companies_per_page" value="25"
                                <?php echo e(sel(setting('companies_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="companies_per_page" value="50"
                                <?php echo e(sel(setting('companies_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.candidates_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="candidates_per_page" value="5" 
                                <?php echo e(sel(setting('candidates_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="candidates_per_page" value="10"
                                <?php echo e(sel(setting('candidates_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="candidates_per_page" value="25"
                                <?php echo e(sel(setting('candidates_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="candidates_per_page" value="50"
                                <?php echo e(sel(setting('candidates_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>                         
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-12">
                            <h2><?php echo e(__('message.footer')); ?></h2>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>
                                    <?php echo e(__('message.footer_column_1')); ?>

                                    <i class="fa fa-code valid-html" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('message.valid_html_msg')); ?>"></i>
                                </label>
                                <textarea class="form-control" name="footer_column_1"><?php echo e(setting('footer_column_1')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>
                                    <?php echo e(__('message.footer_column_2')); ?>

                                    <i class="fa fa-code valid-html" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('message.valid_html_msg')); ?>"></i>
                                </label>
                                <textarea class="form-control" name="footer_column_2"><?php echo e(setting('footer_column_2')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>
                                    <?php echo e(__('message.footer_column_3')); ?>

                                    <i class="fa fa-code valid-html" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('message.valid_html_msg')); ?>"></i>
                                </label>
                                <textarea class="form-control" name="footer_column_3"><?php echo e(setting('footer_column_3')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>
                                    <?php echo e(__('message.footer_column_4')); ?>

                                    <i class="fa fa-code valid-html" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('message.valid_html_msg')); ?>"></i>
                                </label>
                                <textarea class="form-control" name="footer_column_4"><?php echo e(setting('footer_column_4')); ?></textarea>
                            </div>
                        </div> 
                    </div>
                    <!-- /.row -->

                    <div class="row">
                        <div class="col-4">
                            <button type="submit" class="btn btn-primary" id="admin_display_settings_form_button">
                                <?php echo e(__('message.update')); ?>

                            </button>
                        </div>
                        <!-- /.col -->
                    </div>

                </form>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                </div>
            </div>
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-scripts'); ?>
<script src="<?php echo e(url('a-assets')); ?>/js/cf/setting.js"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/admin/settings/display.blade.php ENDPATH**/ ?>