
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('menu'); ?><?php echo e($menu); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0"><?php echo e(__('message.news')); ?></h1>
                </div>
                <!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#"><?php echo e(__('message.home')); ?></a></li>
                        <li class="breadcrumb-item active"><?php echo e(__('message.news')); ?></li>
                    </ol>
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(__('message.news').' '.__('message.edit')); ?></h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                            <form id="admin_news_create_update_form">
                                <input type="hidden" name="news_id" value="<?php echo e($news['news_id']); ?>" />
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.title')); ?></label>
                                                <input type="text" class="form-control" name="title" value="<?php echo e($news['title']); ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.slug')); ?>

                                                    <i 
                                                        class="fas fa-question-circle" 
                                                        data-toggle="tooltip" 
                                                        data-placement="right" 
                                                        title="<?php echo e(__('message.enter_blank_for_auto')); ?>"></i>
                                                </label>
                                                <input type="text" class="form-control" name="slug" value="<?php echo e($news['slug']); ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.status')); ?></label>
                                                <select class="form-control" name="status">
                                                    <option value="0" <?php echo e(sel($news['status'], '0')); ?>><?php echo e(__('message.no')); ?></option>
                                                    <option value="1" <?php echo e(sel($news['status'], '1')); ?>><?php echo e(__('message.yes')); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-3">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.category')); ?></label>
                                                <select class="form-control select2" name="category_id">
                                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($value['category_id']); ?>" <?php echo e(sel($value['category_id'], $news['category_id'])); ?>><?php echo e($value['title']); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>                    
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.keywords')); ?></label>
                                                <textarea class="form-control" name="keywords"><?php echo e($news['keywords']); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.summary')); ?></label>
                                                <textarea class="form-control" name="summary"><?php echo e($news['summary']); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>
                                                    <?php echo e(__('message.description')); ?>

                                                    <i class="fa fa-code valid-html" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('message.valid_html_msg')); ?>"></i>
                                                </label>
                                                <textarea class="form-control" id="news-description" name="description"><?php echo e($news['description']); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.image')); ?></label>
                                                <?php $thumb = newsThumb($news['image']); ?>
                                                <input type="file" class="form-control dropify" name="image" 
                                                    data-default-file="<?php echo e($thumb['image']); ?>" />
                                            </div>
                                        </div>                                        
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-default pull-left" data-dismiss="modal"><?php echo e(__('message.close')); ?></button>
                                    <button type="submit" class="btn btn-primary btn-blue" id="admin_news_create_update_form_button"><?php echo e(__('message.save')); ?></button>
                                </div>
                            </form>


                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->

<!-- Forms for actions -->
<form id="news-form" method="POST" action="<?php echo e(url(route('admin-news-excel'))); ?>" target='_blank'></form>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-scripts'); ?>
<script src="<?php echo e(url('a-assets')); ?>/js/cf/news.js"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/admin/news/create-or-edit.blade.php ENDPATH**/ ?>