
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('menu'); ?><?php echo e($menu); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1><i class="fa fa-briefcase"></i> <?php echo e(__('message.jobs')); ?><small></small></h1>
        <ol class="breadcrumb">
            <li><a href="<?php echo e(url('/')); ?>/employer/dashboard"><i class="fas fa-tachometer-alt"></i> <?php echo e(__('message.home')); ?></a></li>
            <li class="active"><i class="fa fa-briefcase"></i> <?php echo e(__('message.job')); ?></li>
            <li class="active"><?php echo e(__('message.create')); ?></li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <?php if(empAllowedTo('create_jobs') || empAllowedTo('edit_jobs')): ?>
            <div class="col-md-12">
                <!-- general form elements -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title"><?php echo e(__('message.details')); ?></h3>
                    </div>
                    <!-- /.box-header -->
                    <!-- form start -->
                    <form role="form" id="employer_job_create_update_form">
                        <div class="box-body">
                            <div class="row">
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('message.title')); ?></label>
                                        <input type="hidden" name="job_id" value="<?php echo e(encode($job['job_id'])); ?>" />
                                        <input type="text" class="form-control" placeholder="<?php echo e(__('message.enter_title')); ?>" 
                                            name="title" value="<?php echo e($job['title']); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('message.slug')); ?></label>
                                        <input type="text" class="form-control" placeholder="<?php echo e(__('message.will_auto_generate_if_blank')); ?>" 
                                            name="slug" value="<?php echo e($job['slug']); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('message.last_date')); ?></label>
                                        <input type="date" class="form-control" name="last_date" value="<?php echo e($job['last_date'] ? date('Y-m-d', strtotime($job['last_date'])) : ''); ?>">
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('message.hide_job_after_last_date')); ?></label>
                                        <select class="form-control" name="hide_job_after_last_date">
                                        <option value="1" <?php echo e(sel($job['hide_job_after_last_date'], 1)); ?>><?php echo e(__('message.yes')); ?></option>
                                        <option value="0" <?php echo e(sel($job['hide_job_after_last_date'], 0)); ?>><?php echo e(__('message.no')); ?></option>
                                        </select>
                                    </div>
                                </div>                                
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label>
                                        <?php echo e(__('message.departments')); ?>

                                        <button type="button" 
                                            class="btn btn-xs btn-warning btn-blue create-or-edit-department" 
                                            data-id="" 
                                            title="Add New Department">
                                        <i class="fa fa-plus"></i>
                                        </button>
                                        </label>
                                        <select class="form-control select2" id="departments" name="department_id">
                                            <option value=""><?php echo e(__('message.none')); ?></option>
                                            <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e(encode($value['department_id'])); ?>" <?php echo e(sel($job['department_id'], $value['department_id'])); ?>><?php echo e($value['title']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('message.status')); ?></label>
                                        <select class="form-control" name="status">
                                        <option value="1" <?php echo e(sel($job['status'], 1)); ?>><?php echo e(__('message.active')); ?></option>
                                        <option value="0" <?php echo e(sel($job['status'], 0)); ?>><?php echo e(__('message.inactive')); ?></option>
                                        </select>
                                    </div>
                                    <br />
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e(__('message.is_static_allowed')); ?></label>
                                        <select class="form-control" name="is_static_allowed">
                                        <option value="0" <?php echo e(sel($job['is_static_allowed'], 0)); ?>><?php echo e(__('message.no')); ?></option>
                                        <option value="1" <?php echo e(sel($job['is_static_allowed'], 1)); ?>><?php echo e(__('message.yes')); ?></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>
                                            <?php echo e(__('message.description')); ?>

                                            <i class="fa fa-code valid-html" aria-hidden="true" data-toggle="tooltip" data-placement="top" title="<?php echo e(__('message.valid_html_msg')); ?>"></i>
                                        </label>
                                        <textarea id="description" name="description" rows="10" cols="80">
                                        <?php echo $job['description']; ?>

                                        </textarea>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <hr />
                                </div>
                                <?php if($job_filters): ?>
                                <?php $__currentLoopData = $job_filters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $filter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-md-6 col-sm-12">
                                    <div class="form-group">
                                        <label><?php echo e($filter['title']); ?></label>
                                        <select class="form-control select2" id="<?php echo e(encode($filter['job_filter_id'])); ?>" 
                                            name="filters[<?php echo e(encode($filter['job_filter_id'])); ?>][]" multiple="multiple">
                                        <?php $__currentLoopData = $filter['values']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php $sel = sel2($filter['job_filter_id'], $job['job_filter_ids'], $v['id'], $job['job_filter_value_ids']) ?>
                                            <option value="<?php echo e(encode($v['id'])); ?>" <?php echo e($sel); ?>><?php echo e($v['title']); ?>

                                            </option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php else: ?>
                                <div class="row resume-item-edit-box-section">
                                    <div class="col-md-12 col-lg-12">
                                        <p>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo e(__('message.no_job_filters')); ?></p>
                                    </div>
                                </div>
                                <?php endif; ?>
<!--                                 <div class="col-md-12">
                                    <hr />
                                    <div class="form-group">
                                        <label>
                                        <?php echo e(__('message.custom_fields')); ?>

                                        <button type="button" class="btn btn-xs btn-warning btn-blue add-custom-field" title="Add Custom Field">
                                        <i class="fa fa-plus"></i>
                                        </button>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-12 col-sm-12 custom-fields-container">
                                    <?php $__currentLoopData = $fields; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $field): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php echo $__env->make('employer.jobs.custom-field', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <div class="row resume-item-edit-box-section no-custom-value-box">
                                        <div class="col-md-12 col-lg-12">
                                            <p><?php echo e(__('message.no_custom_fields')); ?></p>
                                        </div>
                                    </div>
                                </div> -->
                                <div class="col-sm-12">
                                    <hr />
                                    <div class="form-group">
                                        <label><?php echo e(__('message.traites')); ?></label>
                                        <select class="form-control select2" id="traites[]" name="traites[]" multiple="multiple">
                                        <?php $__currentLoopData = $traites; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php $jobTraits = $job['traites'] ? explode(',', $job['traites']) : array(); ?>
                                        <option value="<?php echo e(encode($value['traite_id'])); ?>" <?php echo e(sel($value['traite_id'], $jobTraits)); ?>><?php echo e($value['title']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <br />
                                        <br />
                                        <b><?php echo e(__('message.notes')); ?></b><br />
                                        <ul>
                                            <li><?php echo e(__('message.traites_can_not_be_assigned')); ?></li>
                                            <li><?php echo e(__('message.traites_can_only_be_answerd')); ?></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <hr />
                                    <div class="form-group">
                                        <label><?php echo e(__('message.quizes')); ?></label>
                                        <select class="form-control select2" id="quizes[]" name="quizes[]" multiple="multiple">
                                        <?php $__currentLoopData = $quizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <?php $jobQuizes = $job['quizes'] ? explode(',', $job['quizes']) : array() ?>
                                        <option value="<?php echo e(encode($value['quiz_id'])); ?>" <?php echo e(sel($value['quiz_id'], $jobQuizes)); ?>><?php echo e($value['title']); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <br />
                                        <br />
                                        <b><?php echo e(__('message.notes')); ?></b><br />
                                        <ul>
                                            <li><?php echo e(__('message.quizes_can_be_assigned')); ?></li>
                                            <li><?php echo e(__('message.quizes_are_attached_to')); ?></li>
                                            <li><?php echo e(__('message.quizes_assigned_from_here')); ?></li>
                                            <li><?php echo e(__('message.additional_quizes_can_be')); ?></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="col-sm-12">
                                    <hr />
                                    <b><?php echo e(__('message.in_general')); ?></b><br />
                                    <ul>
                                        <li><?php echo e(__('message.traites_can_be_assigned')); ?></li>
                                        <li><?php echo e(__('message.traites_can_be_assigned_before_and_or')); ?></li>
                                        <li><?php echo e(__('message.traites_can_be_assigned_only_after')); ?></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <button type="submit" class="btn btn-primary" id="employer_job_create_update_form_button">
                            <?php echo e(__('message.save')); ?>

                            </button>
                        </div>
                    </form>
                </div>
                <!-- /.box -->
            </div>
            <?php endif; ?>
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<!-- page script -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-scripts'); ?>
<script src="<?php echo e(url('e-assets')); ?>/js/cf/department.js"></script>
<script src="<?php echo e(url('e-assets')); ?>/js/cf/job.js"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('employer.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/employer/jobs/create-or-edit.blade.php ENDPATH**/ ?>