<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title><?php echo e((isset($page_title) ? $page_title.' | ' : '').setting('site_name')); ?></title>
        <meta property="route" content="<?php echo e(url('')); ?>">
        <meta property="token" content="<?php echo e(csrf_token()); ?>">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">

        <meta name="keywords" content="<?php echo e((isset($page_keywords) ? $page_keywords : setting('site_description'))); ?>">
        <meta name="description" content="<?php echo e((isset($page_summary) ? $page_summary : setting('site_description'))); ?>">
        <!-- Favicons -->
        <link href="<?php echo e(setting('site_favicon')); ?>" rel="icon">
        <link href="<?php echo e(setting('site_favicon')); ?>" rel="apple-touch-icon">
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,400i,600,700|Raleway:300,400,400i,500,500i,700,800,900" rel="stylesheet">
        <!-- Fontawesome CSS File -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" rel="stylesheet">
        <!-- Bootstrap CSS File -->
        <link href="<?php echo e(url('f-assets')); ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <!-- Main Stylesheet File -->
        <link href="<?php echo e(url('f-assets')); ?>/css/owl-carousel/owl.carousel.min.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/css/owl-carousel/owl.theme.default.min.css" rel="stylesheet">
        <link href="<?php echo e(url('g-assets')); ?>/css/dropify.min.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/css/scrollbar.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/css/variables.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/css/style.css" rel="stylesheet">

        <?php echo setting('front_header_scripts'); ?>

    </head>
    <body data-spy="scroll" data-target="#navbar-example">
        <!-- https://bootstrap-menu.com/ -->
        <!-- Menu Section Starts -->
        <span class="screen-darken"></span>
        <div class="container-fluid d-lg-none sticky-top">
            <div class="row">
                <div class="col-md-12 mobile-menu">
                    <a class="" href="<?php echo e(route('home')); ?>">
                    <img src="<?php echo e(setting('site_logo')); ?>" class="logo-mobile" />
                    </a>
                    <a data-trigger="navbar_main" class="mobile-menu-trigger"><i class="fa-solid fa-bars"></i></a>
                </div>
            </div>
        </div>
        <nav id="navbar_main" class="mobile-offcanvas navbar main-navbar navbar-expand-lg sticky-top">
            <div class="container-fluid">
                <div class="offcanvas-header">  
                    <button class="btn-close float-end"></button>
                </div>
                <a class="" href="<?php echo e(route('home')); ?>">
                    <img src="<?php echo e(setting('site_logo')); ?>" class="logo-main-menu" />
                </a>
                <ul class="navbar-nav ms-auto">
                    <?php $__currentLoopData = mainFrontMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php if($item['childs']): ?>
                            <li class="dropdown front-menu-dd">
                                <a class="nav-link  dropdown-toggle" href="#" data-bs-toggle="dropdown"><?php echo e($item['title']); ?></a>
                                <ul class="dropdown-menu">
                                    <?php $__currentLoopData = $item['childs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <!-- Login & Register Buttons Not Allowed in Drop Down -->
                                    <?php if($child['type'] != 'register_button' && $child['type'] != 'login_button'): ?>
                                    <li>
                                        <a class="dropdown-item <?php echo e(homeLink($child['type'])); ?>" href="<?php echo e($child['link']); ?>"><?php echo e($child['title']); ?></a>
                                    </li>
                                    <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            </li>
                        <?php else: ?>
                            <?php if($item['type'] == 'login_button' && (candidateSession() || employerSession())): ?>
                                <li class="dropdown front-menu-dd">
                                    <?php $img = candidateOrEmployerThumb(); ?>
                                    <a class="nav-link dropdown-toggle menu-image-dd-link" href="#" data-bs-toggle="dropdown">
                                        <img class="menu-avatar" src="<?php echo e($img['image']); ?>" onerror="this.src='<?php echo e($img['error']); ?>'" alt="Employer ">
                                    </a>
                                    <ul class="dropdown-menu menu-image-dd">
                                        <?php if(candidateSession()): ?>
                                        <li><a class="dropdown-item" href="<?php echo e(route('front-profile')); ?>"><?php echo e(__('message.profile')); ?></a></li>
                                        <li><a class="dropdown-item" href="<?php echo e(route('front-password')); ?>"><?php echo e(__('message.password')); ?></a></li>
                                        <li><a class="dropdown-item" href="<?php echo e(route('front-logout')); ?>"><?php echo e(__('message.logout')); ?></a></li>
                                        <?php else: ?>
                                        <li><a class="dropdown-item" href="<?php echo e(route('employer-dashboard')); ?>"><?php echo e(__('message.dashboard')); ?></a></li>
                                        <li><a class="dropdown-item" href="<?php echo e(route('employer-logout')); ?>"><?php echo e(__('message.logout')); ?></a></li>
                                        <?php endif; ?>
                                    </ul>
                                </li>
                            <?php elseif($item['type'] == 'register_button' && (candidateSession() || employerSession())): ?>
                                <!-- Register Buttons Not Allowed in Logged in Mode -->
                            <?php else: ?>
                            <li class="nav-item">
                                <a class="nav-link <?php echo e(homeLink($item['type'])); ?>" href="<?php echo e($item['link']); ?>"><?php echo e($item['title']); ?></a>
                            </li>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>                    
                </ul>
            </div>
            <!-- container-fluid.// -->
        </nav>
        <!-- Menu Section Ends -->

        <?php echo $__env->yieldContent('content'); ?>

        <!-- Footer Starts -->
        <footer>
            <div class="footer-area">
                <div class="container">
                    <div class="row">
                        <?php $width = footerColWidth() ?>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_1'); ?>

                            </div>
                        </div>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_2'); ?>

                            </div>
                        </div>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_3'); ?>

                            </div>
                        </div>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_4'); ?>

                            </div>
                        </div>
                        <!-- end single footer -->
                    </div>
                </div>
            </div>
        </footer>
        <!-- Footer Ends -->

        <!-- Login Modal -->
        <div class="modal fade in login-modal" id="modal-front" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body-container">
                    </div>
                </div>
            </div>
        </div>

        <!-- Top Modal -->
        <div class="modal fade in refer-modal" id="modal-refer" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header resume-modal-header">
                        <h4 class="modal-title resume-modal-title"><?php echo e(__('message.refer_job')); ?></h4>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body-container">
                    </div>
                    <!-- /.modal-content -->
                </div>
                <!-- /.modal-dialog -->
            </div>
        </div>

        <a href="#" class="back-to-top" style="display: inline;"><i class="fa fa-chevron-up"></i></a>
        <!-- Bootstrap JS File -->
        <script src="<?php echo e(url('f-assets')); ?>/bootstrap/js/bootstrap.min.js"></script>
        <!-- Fontawesome JS File -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/js/all.min.js"></script>
        <!-- JS Language Variables file -->
        <script src="<?php echo e(url('g-assets')); ?>/js/lang.js"></script>
        <!-- Main File -->
        <script src="<?php echo e(url('g-assets')); ?>/js/jquery-3.6.0.min.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/js/owl.carousel.min.js"></script>
        <script src="<?php echo e(url('g-assets')); ?>/js/bar-rating.min.js"></script>
        <script src="<?php echo e(url('g-assets')); ?>/js/dropify.min.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/js/menu.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/js/app.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/js/front.js"></script>
        <?php if(candidateSession()): ?>
        <script src="<?php echo e(url('f-assets')); ?>/js/account.js"></script>
        <?php endif; ?>

        <?php echo setting('front_footer_scripts'); ?>

    </body>
</html><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/front/layouts/master.blade.php ENDPATH**/ ?>