<form id="admin_employer_create_update_form">
    <input type="hidden" name="employer_id" value="<?php echo e(esc_output($employer['employer_id'])); ?>" />
    <div class="modal-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.first_name')); ?></label>
                    <input type="text" class="form-control" name="first_name" value="<?php echo e(esc_output($employer['first_name'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.last_name')); ?></label>
                    <input type="text" class="form-control" name="last_name" value="<?php echo e(esc_output($employer['last_name'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.company')); ?></label>
                    <input type="text" class="form-control" name="company" value="<?php echo e(esc_output($employer['company'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.slug').' ('.__('message.will_auto_generate').')'); ?></label>
                    <input type="text" class="form-control" id="slug" name="slug" 
                        value="<?php echo e($employer['slug'] ? esc_output($employer['slug']) : __('message.will_auto_generate')); ?>" readonly="readonly">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.email')); ?></label>
                    <input type="text" class="form-control" name="email" value="<?php echo e(esc_output($employer['email'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.phone1')); ?></label>
                    <input type="text" class="form-control" name="phone1" value="<?php echo e(esc_output($employer['phone1'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.phone2')); ?></label>
                    <input type="text" class="form-control" name="phone2" value="<?php echo e(esc_output($employer['phone2'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.password')); ?></label>
                    <input type="password" class="form-control" name="password">
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.short_description')); ?></label>
                    <textarea class="form-control" name="short_description"><?php echo e($employer['short_description']); ?></textarea>
                </div>
            </div>            
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.roles')); ?></label>
                    <select class="form-control" multiple="multiple" name="roles[]" id="roles-dropdown">
                        <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php $selected = in_array($value['role_id'], $employerRoles) ? 'selected="selected"' : ''; ?>
                        <option value="<?php echo e(esc_output($value['role_id'])); ?>"  <?php echo e(esc_output($selected)); ?>><?php echo e(esc_output($value['title'], 'html')); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.image')); ?></label>
                    <?php $thumb = employerThumb($employer['image']); ?>
                    <input type="file" class="form-control dropify" name="image" data-default-file="<?php echo e($thumb['image']); ?>" />
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.logo')); ?></label>
                    <?php $thumb = employerThumb($employer['logo']); ?>
                    <input type="file" class="form-control dropify" name="logo" data-default-file="<?php echo e($thumb['image']); ?>" />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default pull-left" data-dismiss="modal"><?php echo e(__('message.close')); ?></button>
        <button type="submit" class="btn btn-primary btn-blue" id="admin_employer_create_update_form_button"><?php echo e(__('message.save')); ?></button>
    </div>
</form><?php /**PATH /home/rafhdupu/z-jobs.com/resources/views/admin/employers/create-or-edit.blade.php ENDPATH**/ ?>