<?php if($packages): ?>
<!-- Home Pricing Section Starts -->
<div class="section-pricing">
	<div class="container">
		<div class="position-relative"><div class="section-pricing-pattern pattern-lines rounded-circle"></div></div>
		<div class="row">
			<div class="col-md-12 col-sm-12">
				<div class="section-heading-style-gamma">
					<div class="section-heading">
						<h2><?php echo e(__('message.pricing')); ?></h2>
					</div>
					<div class="section-intro-text">
						<p><?php echo e(__('message.home_pricing_msg')); ?></p>
					</div>
					<div class="section-intro-button">
						<div class="section-pricing-switch">
							<div class="section-pricing-switch-labels"><?php echo e(__('message.monthly')); ?></div>
							<label class="switch">
							  	<input type="checkbox">
							  	<span class="section-pricing-switch-handle slider round" data-value="monthly"></span>
							</label>
							<div class="section-pricing-switch-labels"><?php echo e(__('message.yearly')); ?></div>
						</div>

					</div>
				</div>				
			</div>
		</div>
		<div class="row">
			<?php $__currentLoopData = $packages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $package): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<!-- Home Package Single Item Starts -->
			<div class="col-lg-4 col-md-12 col-sm-12 p-0">
				<div class="section-pricing-item simple-shadow <?php echo e($package['is_top_sale'] == 1 ? 'special' : ''); ?>">
					<div class="section-pricing-item-icon">
						<?php $thumb = generalThumb($package['image']); ?>
						<img src="<?php echo e($thumb['image']); ?>" onerror="this.src='<?php echo e($thumb['error']); ?>'" />
					</div>
					<div class="section-pricing-item-title">
						<h2><?php echo e($package['title']); ?></h2>
					</div>
					<div class="section-pricing-item-price">
						<span class="section-pricing-item-price-amount section-pricing-item-price-amount-monthly">
							<?php echo e($package['currency']); ?><?php echo e($package['monthly_price']); ?>

						</span>
						<span class="section-pricing-item-price-amount section-pricing-item-price-amount-yearly">
							<?php echo e($package['currency']); ?><?php echo e($package['yearly_price']); ?>

						</span>
						<span class="section-pricing-item-price-duration">/ mo</span>
					</div>
					<div class="section-pricing-item-list">
						<ul>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['active_jobs'])); ?>"></i> <?php echo e(packageItem(__('message.active_jobs'), $package['active_jobs'])); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['active_users'])); ?>"></i> <?php echo e(packageItem(__('message.active_users'), $package['active_users'])); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['active_custom_filters'])); ?>"></i> <?php echo e(packageItem(__('message.active_custom_filters'), $package['active_custom_filters'])); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['active_quizes'])); ?>"></i> <?php echo e(packageItem(__('message.active_quizes'), $package['active_quizes'])); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['active_interviews'])); ?>"></i> <?php echo e(packageItem(__('message.active_interviews'), $package['active_interviews'])); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['active_traites'])); ?>"></i> <?php echo e(packageItem(__('message.active_traites'), $package['active_traites'])); ?> 
                            </li>
                            <?php if(setting('enable_separate_employer_site') == 'only_for_employers_with_separate_site'): ?>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['separate_site'], true)); ?>"></i> <?php echo e(packageItem(__('message.separate_site'), $package['separate_site'], true)); ?> 
                            </li>
                            <?php endif; ?>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['branding'], true)); ?>"></i> <?php echo e(packageItem(__('message.branding'), $package['branding'], true)); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['role_permissions'], true)); ?>"></i> <?php echo e(packageItem(__('message.role_permissions'), $package['role_permissions'], true)); ?> 
                            </li>
                            <li>
                                <i class="<?php echo e(packageItemBullet($package['custom_emails'], true)); ?>"></i> <?php echo e(packageItem(__('message.custom_emails'), $package['custom_emails'], true)); ?> 
                            </li>
						</ul>
					</div>
					<div class="section-pricing-item-btn">
						<?php if(employerSession()): ?>
						<a class="btn btn-primary global-register-btn" href="<?php echo e(route('employer-dashboard')); ?>">
							<?php echo e(__('message.dashboard')); ?>

						</a>
						<?php elseif(candidateSession()): ?>
						<a class="btn btn-primary global-register-btn" href="#">
							<?php echo e(__('message.sign_up_as_employer')); ?>

						</a>
						<?php else: ?>
						<a class="btn btn-primary global-register-btn">
							<?php echo e(__('message.register')); ?>

						</a>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<!-- Home Package Single Item Ends -->
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		</div>
	</div>
</div>
<!-- Home Pricing Section Starts -->
<?php endif; ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/front/beta/partials/home-pricing-section.blade.php ENDPATH**/ ?>