<?php if($candidates): ?>
<?php $__currentLoopData = $candidates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $candidate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<div class="job-board-candidate-wrap">
    <div class="col-md-4 job-board-candidate-profile">
        <div class="row">
            <div class="col-md-4 job-board-candidate-left">
                <input type="checkbox" class="minimal job-board-candidate-select" 
                    data-id="<?php echo e(encode($candidate['candidate_id'])); ?>"
                    data-resume_id="<?php echo e(encode($candidate['resume_id'])); ?>">
                <?php $thumb = candidateThumb($candidate['image']); ?>
                <?php if($thumb['image']): ?>
                <img src="<?php echo e($thumb['image']); ?>" onerror="this.src='<?php echo e($thumb['error']); ?>'" class="job-board-candidate-avatar">
                <?php else: ?>
                <img src="<?php echo e($thumb['error']); ?>" class="job-board-candidate-avatar">
                <?php endif; ?>
            </div>
            <div class="col-md-7 job-board-candidate-right">
                <h2 class="job-board-candidate-name view-resume" data-id="<?php echo e(encode($candidate['resume_id'])); ?>"
                    title="<?php echo e($candidate['first_name'].' '.$candidate['last_name']); ?>">
                    <?php echo e(trimString($candidate['first_name'].' '.$candidate['last_name'], 13)); ?>

                </h2>
                <p class="job-board-candidate-profile-item"><?php echo e(trimString($candidate['designation'], 30)); ?></p>
                <p class="job-board-candidate-profile-item"><?php echo e(__('message.applied_on')); ?> : <?php echo e(dateFormat($candidate['created_at'])); ?></p>
                <?php if($candidate['resume_type'] == 'detailed'): ?>
                <p class="job-board-candidate-profile-item">
                    <?php echo e(__('message.experience')); ?> : <?php echo e($candidate['experience']); ?> <?php echo e(__('message.months')); ?>

                </p>
                <p class="job-board-candidate-profile-item">
                    <span class="job-board-resume-item" title="<?php echo e($candidate['experiences']); ?> <?php echo e(__('message.job_experiences')); ?>">
                    <i class="fa fa-history"></i> <?php echo e($candidate['experiences']); ?>

                    </span>
                    <span class="job-board-resume-item" title="<?php echo e($candidate['languages']); ?> <?php echo e(__('message.languages')); ?>">
                    <i class="fa fa-language"></i> <?php echo e($candidate['languages']); ?>

                    </span>
                    <span class="job-board-resume-item" title="<?php echo e($candidate['qualifications']); ?> <?php echo e(__('message.qualifications')); ?>">
                    <i class="fa fa-graduation-cap"></i> <?php echo e($candidate['qualifications']); ?>

                    </span>
                    <span class="job-board-resume-item" title="<?php echo e($candidate['achievements']); ?> <?php echo e(__('message.achievements')); ?>">
                    <i class="fa fa-trophy"></i> <?php echo e($candidate['achievements']); ?>

                    </span>
                    <span class="job-board-resume-item" title="<?php echo e($candidate['references']); ?> <?php echo e(__('message.references')); ?>">
                    <i class="fa fa-globe"></i> <?php echo e($candidate['references']); ?>

                    </span>
                </p>
                <?php else: ?>
                <a class="btn btn-warning btn-xs" target="_blank" href="<?php echo e(resumeThumb($candidate['file'])); ?>" title="<?php echo e(__('message.download')); ?>">
                <i class="fa fa-file"></i> <?php echo e(__('message.download')); ?>

                </a>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <div class="col-md-2 job-board-candidate-self">
        <p class="job-board-candidate-self-heading">
            <i class="fas fa-star-half-alt"></i> <?php echo e(__('message.self_assesment')); ?>

            <?php echo e($candidate['traites_result']); ?>%
        </p>
        <ul class="job-board-candidate-item-list">
            <?php if($candidate['traites']): ?>
            <?php $__currentLoopData = $candidate['traites']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $traite): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li title="<?php echo e($traite['title']); ?>">
                <?php echo e(trimString($traite['title'], 20)); ?> 
                <br />
                (<?php echo e($traite['rating']); ?>/5 - <?php echo e($traite['rating'] != 0 ? ($traite['rating']/5)*100 : 0); ?>%)
            </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
            <li><?php echo e(__('message.not_assigned')); ?></li>
            <?php endif; ?>
        </ul>
    </div>
    <div class="col-md-2 job-board-candidate-quiz">
        <p class="job-board-candidate-quiz-heading">
            <i class="fa fa-list"></i> <?php echo e(__('message.quizes')); ?> <?php echo e($candidate['quizes_result']); ?>%
        </p>
        <ul class="job-board-candidate-item-list">
            <?php if($candidate['quizes']): ?>
            <?php $__currentLoopData = $candidate['quizes']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $quiz): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li title="<?php echo e($quiz['title']); ?>">
                <i class="far fa-trash-alt text-red delete-candidate-quiz" data-id="<?php echo e(encode($quiz['id'])); ?>" title="Delete quiz"></i>
                <?php echo e(trimString($quiz['title'], 20)); ?>

                <br />
                (<?php echo e($quiz['corrects']); ?>/<?php echo e($quiz['questions']); ?> - 
                <?php echo e($quiz['corrects'] != 0 ? round(($quiz['corrects']/$quiz['questions'])*100) : 0); ?>%)
            </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
            <li><?php echo e(__('message.not_assigned')); ?></li>
            <?php endif; ?>
        </ul>
    </div>
    <div class="col-md-2 job-board-candidate-interview">
        <p class="job-board-candidate-interview-heading">
            <i class="fas fa-clipboard-list"></i> <?php echo e(__('message.interviews')); ?> <?php echo e($candidate['interviews_result']); ?>%
        </p>
        <ul class="job-board-candidate-item-list">
            <?php if($candidate['interviews']): ?>
            <?php $__currentLoopData = $candidate['interviews']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $interview): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li title="<?php echo e($interview['title']); ?>">
                <i class="far fa-trash-alt text-red delete-candidate-interview" data-id="<?php echo e(encode($interview['id'])); ?>" title="Delete Interview"></i>
                <?php echo e(trimString($interview['title'], 20)); ?> 
                <br />
                (<?php echo e($interview['ratings']); ?>/<?php echo e($interview['questions']*10); ?> - 
                <?php echo e($interview['ratings'] != 0 ? round(($interview['ratings']/($interview['questions']*10))*100) : 0); ?>%)
            </li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            <?php else: ?>
            <li><?php echo e(__('message.not_assigned')); ?></li>
            <?php endif; ?>
        </ul>
    </div>
    <div class="col-md-2 job-board-candidate-overall">
        <p class="job-board-candidate-overall-heading"><?php echo e(__('message.overall_result')); ?></p>
        <p class="job-board-candidate-overall-result"><strong><?php echo e($candidate['overall_result']); ?>%</strong>
            <br /><span class="job-board-candidate-status job-board-candidate-<?php echo e($candidate['status']); ?>"><?php echo e(strtoupper($candidate['status'])); ?></span>
        </p>
    </div>
</div>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php else: ?>
<div class="job-board-candidate-wrap">
    <p class="job-board-candidate-wrap-not"><?php echo e(__('message.no_candidates_found')); ?></p>
</div>
<?php endif; ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/employer/job-board/candidate-list-items.blade.php ENDPATH**/ ?>