
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('menu'); ?><?php echo e($menu); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1><i class="fa fa-briefcase"></i> <?php echo e(__('message.jobs')); ?><small></small></h1>
        <ol class="breadcrumb">
            <li><a href="<?php echo e(url('/')); ?>/employer/dashboard"><i class="fas fa-tachometer-alt"></i> <?php echo e(__('message.home')); ?></a></li>
            <li class="active"><i class="fa fa-briefcase"></i> <?php echo e(__('message.jobs')); ?></li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box">
                    <div class="box-header">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="datatable-top-controls datatable-top-controls-filter">
                                    <?php if(empAllowedTo('create_jobs')): ?>
                                    <button type="button" class="btn btn-primary btn-blue btn-flat create-or-edit-job">
                                    <i class="fa fa-plus"></i> <?php echo e(__('message.add_job')); ?>

                                    </button>
                                    <?php endif; ?>
                                    <div class="btn-group">
                                        <button type="button" class="btn btn-primary btn-blue btn-flat"><?php echo e(__('message.actions')); ?></button>
                                        <button type="button" class="btn btn-primary btn-blue btn-flat dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                        <span class="caret"></span>
                                        <span class="sr-only">Toggle Dropdown</span>
                                        </button>
                                        <ul class="dropdown-menu" role="menu">
                                            <li><a href="#" class="job-bulk-action" data-action="download-excel"><?php echo e(__('message.download_jobs')); ?></a></li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="datatable-top-controls datatable-top-controls-dd">
                                    <div class="input-group">
                                        <span class="input-group-btn">
                                        <button type="button" class="btn btn-default btn-flat"><i class="fa fa-filter"></i> <?php echo e(__('message.department')); ?></button>
                                        </span>
                                        <select class="form-control select2" id="department">
                                            <option value=""><?php echo e(__('message.all')); ?></option>
                                            <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e(encode($value['department_id'])); ?>"><?php echo e($value['title']); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="datatable-top-controls datatable-top-controls-dd">
                                    <div class="input-group">
                                        <span class="input-group-btn">
                                        <button type="button" class="btn btn-default btn-flat"><i class="fa fa-filter"></i> <?php echo e(__('message.status')); ?></button>
                                        </span>
                                        <select class="form-control select2" id="status">
                                            <option value=""><?php echo e(__('message.all')); ?></option>
                                            <option value="1"><?php echo e(__('message.active')); ?></option>
                                            <option value="0"><?php echo e(__('message.inactive')); ?></option>
                                        </select>
                                    </div>
                                </div>
                                <?php if($job_filters): ?>
                                <?php $__currentLoopData = $job_filters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $filter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if($filter['admin_filter'] == 1): ?>
                                <div class="datatable-top-controls datatable-top-controls-dd">
                                    <div class="input-group">
                                        <span class="input-group-btn">
                                        <button type="button" class="btn btn-default btn-flat">
                                        <i class="fa fa-filter"></i> <?php echo e($filter['title']); ?></button>
                                        </span>
                                        <select class="form-control select2 job-filter" 
                                            id="<?php echo e(encode($filter['job_filter_id'])); ?>">
                                            <option value=""><?php echo e(__('message.all')); ?></option>
                                            <?php $__currentLoopData = $filter['values']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e(encode($v['id'])); ?>"><?php echo e($v['title']); ?>

                                            </option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                    </div>
                                </div>
                                <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-header -->
                    <div class="box-body">
                        <div class="messages-container"></div>
                        <?php if(empAllowedTo('view_jobs')): ?>
                        <table class="table table-bordered table-striped" id="jobs_datatable">
                            <thead>
                                <tr>
                                    <th><input type="checkbox" class="minimal all-check"></th>
                                    <th><?php echo e(__('message.title')); ?></th>
                                    <th><?php echo e(__('message.department')); ?></th>
                                    <th><?php echo e(__('message.job_filters')); ?></th>
                                    <th><?php echo e(__('message.applications')); ?></th>
                                    <th><?php echo e(__('message.favorites')); ?></th>
                                    <th><?php echo e(__('message.referred')); ?></th>
                                    <th><?php echo e(__('message.traites')); ?></th>
                                    <th><?php echo e(__('message.created_on')); ?></th>
                                    <th><?php echo e(__('message.status')); ?></th>
                                    <th><?php echo e(__('message.actions')); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                            </tbody>
                        </table>
                        <?php endif; ?>
                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /.box -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<!-- Right Modal -->
<div class="modal right fade modal-right" id="modal-right" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel2">Departments</h4>
            </div>
            <div class="modal-body">
            </div>
        </div>
        <!-- modal-content -->
    </div>
    <!-- modal-dialog -->
</div>
<!-- modal -->
<!-- Forms for actions -->
<form id="jobs-form" method="POST" action="<?php echo e(url('/')); ?>/employer/jobs/excel" target='_blank'></form>
<!-- page script -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-scripts'); ?>
<script src="<?php echo e(url('e-assets')); ?>/js/cf/department.js"></script>
<script src="<?php echo e(url('e-assets')); ?>/js/cf/job.js"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('employer.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rafhdupu/z-jobs.com/resources/views/employer/jobs/list.blade.php ENDPATH**/ ?>