<!-- Left side column. contains the logo and sidebar -->
<aside class="main-sidebar">
    <!-- sidebar -->
    <section class="sidebar">
        <!-- sidebar menu -->
        <ul class="sidebar-menu" data-widget="tree">
            <?php $l = url('/').'/employer/'; ?>
            <li <?php echo e(selMenu($menu, 'dashboard')); ?>>
            <a href="<?php echo e($l); ?>dashboard"><i class="fas fa-tachometer-alt"></i> <span><?php echo e(__('message.dashboard')); ?></span></a>
            </li>
            <?php if(empAllowedTo('view_job_board')): ?>
            <li <?php echo e(selMenu($menu, 'job_board')); ?>>
            <a href="<?php echo e($l); ?>job-board"><i class="fas fa-newspaper"></i> <span><?php echo e(__('message.job_board')); ?></span></a>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo('all_candidate_interviews')): ?>
            <li <?php echo e(selMenu($menu, 'candidate_interviews')); ?>>
            <a href="<?php echo e($l); ?>candidate-interviews"><i class="fas fa-gavel"></i> <span><?php echo e(__('message.interviews')); ?></span></a>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo(array('view_jobs', 'create_jobs', 'view_departments', 'view_job_filters'))): ?>
            <li class="header"><?php echo e(__('message.jobs_management')); ?></li>
            <li class="treeview <?php echo e(selMenu($menu, array('job', 'jobs', 'departments', 'job_filters'))); ?>">
                <a href="#">
                <i class="fa fa-suitcase"></i> <span><?php echo e(__('message.jobs')); ?></span>
                <span class="pull-right-container">
                <i class="fa fa-angle-left pull-right"></i>
                </span>
                </a>
                <ul class="treeview-menu">
                    <?php if(empAllowedTo('create_jobs')): ?>
                    <li <?php echo e(selMenu($menu, 'job')); ?>>
                    <a href="<?php echo e($l); ?>jobs/create-or-edit"><i class="fas fa-cube"></i> <?php echo e(__('message.create')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('view_jobs')): ?>
                    <li <?php echo e(selMenu($menu, 'jobs')); ?>>
                    <a href="<?php echo e($l); ?>jobs"><i class="fas fa-cube"></i> <?php echo e(__('message.listing')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('view_departments') && setting('departments_creation') != 'only_admin'): ?>
                    <li <?php echo e(selMenu($menu, 'departments')); ?>>
                    <a href="<?php echo e($l); ?>departments"><i class="fas fa-cube"></i> <?php echo e(__('message.departments')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('view_job_filters') && setting('job_filters_creation') != 'only_admin'): ?>
                    <li <?php echo e(selMenu($menu, 'job_filters')); ?>>
                    <a href="<?php echo e($l); ?>job-filters"><i class="fas fa-cube"></i> <?php echo e(__('message.job_filters')); ?></a>
                    </li>
                    <?php endif; ?>
                </ul>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo(array('view_quizes', 'view_interviews', 'view_traites'))): ?>
            <li class="header"><?php echo e(__('message.scaling_tools_management')); ?></li>
            <?php if(empAllowedTo('view_quizes')): ?>
            <li <?php echo e(selMenu($menu, 'quizes')); ?>>
            <a href="<?php echo e($l); ?>quiz-designer"><i class="far fa-list-alt"></i> <span><?php echo e(__('message.quiz_designer')); ?></span></a>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo('view_interviews')): ?>
            <li <?php echo e(selMenu($menu, 'interviews')); ?>>
            <a href="<?php echo e($l); ?>interview-designer"><i class="fas fa-clipboard-list"></i> <span><?php echo e(__('message.interview_designer')); ?></span>
            </a>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo('view_traites')): ?>
            <li <?php echo e(selMenu($menu, 'traites')); ?>>
            <a href="<?php echo e($l); ?>traites"><i class="fas fa-star-half-alt"></i> <span><?php echo e(__('message.traites')); ?></span></a>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo(array('view_question_categories', 'view_quiz_categories', 'view_interview_categories'))): ?>
            <li class="treeview <?php echo e(selMenu($menu, array('question_categories', 'quiz_categories', 'interview_categories'))); ?>">
                <a href="#">
                <i class="fa fa-list"></i> <span><?php echo e(__('message.categories')); ?></span>
                <span class="pull-right-container">
                <i class="fa fa-angle-left pull-right"></i>
                </span>
                </a>
                <ul class="treeview-menu">
                    <?php if(empAllowedTo('view_question_categories')): ?>
                    <li <?php echo e(selMenu($menu, 'question_categories')); ?>>
                    <a href="<?php echo e($l); ?>question-categories"><i class="fas fa-cube"></i> <?php echo e(__('message.question_categories')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('view_quiz_categories')): ?>
                    <li <?php echo e(selMenu($menu, 'quiz_categories')); ?>>
                    <a href="<?php echo e($l); ?>quiz-categories"><i class="fas fa-cube"></i> <?php echo e(__('message.quiz_categories')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('view_interview_categories')): ?>
                    <li <?php echo e(selMenu($menu, 'interview_categories')); ?>>
                    <a href="<?php echo e($l); ?>interview-categories"><i class="fas fa-cube"></i> <?php echo e(__('message.interview_categories')); ?></a>
                    </li>
                    <?php endif; ?>
                </ul>
            </li>
            <?php endif; ?>
            <?php endif; ?>
            <?php if(empAllowedTo(array('view_team_listing', 'view_candidate_listing'))): ?>
            <li class="header"><?php echo e(__('message.users_management')); ?></li>
            <?php endif; ?>
            <?php if(empAllowedTo('view_team_listing')): ?>
            <li <?php echo e(selMenu($menu, 'team')); ?>>
            <a href="<?php echo e($l); ?>team"><i class="fa fa-users"></i> <span><?php echo e(__('message.team')); ?></span></a>
            </li>
            <?php endif; ?>
            <?php if(empAllowedTo('view_candidate_listing')): ?>
            <li <?php echo e(selMenu($menu, 'candidates')); ?>>
            <a href="<?php echo e($l); ?>candidates"><i class="fa fa-graduation-cap"></i> <span><?php echo e(__('message.candidates')); ?></span></a>
            </li>
            <?php endif; ?>
            <li class="header"><?php echo e(__('message.others')); ?></li>
            <?php if(empAllowedTo(array('view_blog_listing', 'view_blog_categories'))): ?>
            <?php if(empAllowedTo('view_memberships')): ?>
            <li <?php echo e(selMenu($menu, 'memberships')); ?>>
            <a href="<?php echo e($l); ?>memberships"><i class="fas fa-id-card-alt"></i> <span><?php echo e(__('message.memberships')); ?></span></a>
            </li>
            <?php endif; ?>            
            <li class="treeview <?php echo e(selMenu($menu, array('blogs', 'blog_categories'))); ?>">
                <a href="#">
                <i class="fas fa-blog"></i> <span><?php echo e(__('message.blogs')); ?></span>
                <span class="pull-right-container">
                <i class="fa fa-angle-left pull-right"></i>
                </span>
                </a>
                <ul class="treeview-menu">
                    <?php if(empAllowedTo('view_blog_listing')): ?>
                    <li <?php echo e(selMenu($menu, 'blogs')); ?>>
                    <a href="<?php echo e($l); ?>blogs"><i class="fas fa-cube"></i> <?php echo e(__('message.listing')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('view_blog_categories')): ?>
                    <li <?php echo e(selMenu($menu, 'blog_categories')); ?>>
                    <a href="<?php echo e($l); ?>blog-categories"><i class="fas fa-cube"></i> <?php echo e(__('message.categories')); ?></a>
                    </li>
                    <?php endif; ?>
                </ul>
            </li>
            <?php endif; ?>
            <li class="treeview <?php echo e(selMenu($menu, array('general', 'branding', 'emails', 'css', 'profile', 'password',))); ?>">
                <a href="#">
                <i class="fa fa-cogs"></i> <span><?php echo e(__('message.settings')); ?></span>
                <span class="pull-right-container">
                <i class="fa fa-angle-left pull-right"></i>
                </span>
                </a>
                <ul class="treeview-menu">
                    <?php if(empAllowedTo('general')): ?>
                    <li <?php echo e(selMenu($menu, 'general')); ?>>
                    <a href="<?php echo e($l); ?>settings/general"><i class="fas fa-cube"></i> <?php echo e(__('message.general')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('branding')): ?>
                    <li <?php echo e(selMenu($menu, 'branding')); ?>>
                    <a href="<?php echo e($l); ?>settings/branding"><i class="fas fa-cube"></i> <?php echo e(__('message.branding')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('emails')): ?>
                    <li <?php echo e(selMenu($menu, 'emails')); ?>>
                    <a href="<?php echo e($l); ?>settings/emails"><i class="fas fa-cube"></i> <?php echo e(__('message.emails')); ?></a>
                    </li>
                    <?php endif; ?>
                    <?php if(empAllowedTo('css')): ?>
                    <li <?php echo e(selMenu($menu, 'css')); ?>>
                    <a href="<?php echo e($l); ?>settings/css"><i class="fas fa-cube"></i> <?php echo e(__('message.css')); ?></a>
                    </li>
                    <?php endif; ?>
                    <li <?php echo e(selMenu($menu, 'profile')); ?>>
                    <a href="<?php echo e($l); ?>profile"><i class="fas fa-cube"></i> <?php echo e(__('message.profile')); ?></a>
                    </li>
                    <li <?php echo e(selMenu($menu, 'password')); ?>>
                    <a href="<?php echo e($l); ?>password"><i class="fas fa-cube"></i> <?php echo e(__('message.password')); ?></a>
                    </li>
                </ul>
            </li>
            <li>
                <a href="<?php echo e(rtrim(empUrlBySlug(employerId('slug')), '/')); ?>" target="_blank">
                <i class="fas fa-external-link-alt"></i> <span><?php echo e(__('message.candidate_area')); ?></span>
                </a>
            </li>
        </ul>
    </section>
    <!-- /.sidebar -->
</aside><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/employer/layouts/sidebar.blade.php ENDPATH**/ ?>