<!doctype html>
<html lang="en">
    <head>
        <title><?php echo $__env->yieldContent('page-title'); ?></title>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta property="route" content="<?php echo e(empUrl()); ?>">
        <meta property="token" content="<?php echo e(csrf_token()); ?>">
        <meta content="<?php echo e(settingEmpSlug('site_keywords')); ?>" name="keywords">
        <meta content="<?php echo e(settingEmpSlug('site_description')); ?>" name="description">

        <!-- Favicons -->
        <link href="<?php echo e(settingEmpSlug('site_favicon')); ?>" rel="icon">
        <link href="<?php echo e(settingEmpSlug('site_favicon')); ?>" rel="apple-touch-icon">

        <!-- Fontawesome CSS File -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" rel="stylesheet">
        <!-- Bootstrap CSS File -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <link href="<?php echo e(url('c-assets/beta')); ?>/css/bootstrap-social.css" rel="stylesheet">
        <!-- jQuery UI -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/css/jquery-ui.css" rel="stylesheet">
        <!-- Flag Icons -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/plugins/flag-icons/flag-icon.min.css" rel="stylesheet">
        <!-- Select2 -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/plugins/select2/css/select2.min.css" rel="stylesheet">
        <!-- Owl Carousel -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/plugins/owl-carousel/owl.carousel.min.css" rel="stylesheet">
        <link href="<?php echo e(url('c-assets/beta')); ?>/plugins/owl-carousel/owl.theme.default.css" rel="stylesheet">
        <link href="<?php echo e(url('c-assets/beta')); ?>/plugins/owl-carousel/owl.theme.green.min.css" rel="stylesheet">
        <!-- Dropify -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/plugins/dropify/css/dropify.min.css" rel="stylesheet">

        <!-- Internal Style files -->
        <?php if(empSlugBranding()): ?>
        <link href="<?php echo e(url('/').'/'.employerPath(true)); ?>/custom-style.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <link href="<?php echo e(url('/').'/'.employerPath(true)); ?>/variables.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <?php else: ?>
        <link href="<?php echo e(url('c-assets/beta')); ?>/css/variables.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <?php endif; ?>

        <!-- Custom CSS (Admin) -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/css/custom-css.css" rel="stylesheet">

        <!-- System CSS -->
        <link href="<?php echo e(url('c-assets/beta')); ?>/css/ct-<?php echo e(setting('default_front_color_theme')); ?>.css" rel="stylesheet">
        <link href="<?php echo e(url('c-assets/beta')); ?>/css/style.css" rel="stylesheet">

        <?php $lang = frontLanguage(); ?>
        <?php if($lang['direction'] == 'rtl'): ?>
        <link href="<?php echo e(url('C-assets/beta')); ?>/css/style-rtl.css" rel="stylesheet">
        <?php endif; ?>

        <?php echo setting('candidate_header_scripts'); ?>


    </head>
    <body>

        <?php echo $__env->make('candidate.beta.layouts.menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->yieldContent('breadcrumb'); ?>
        
        <?php echo $__env->yieldContent('content'); ?>

        <?php echo $__env->make('candidate.beta.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </body>

    <!-- Bootstrap CSS File -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/bootstrap/js/bootstrap.bundle.js"></script>
    <!-- jQuery -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/jquery-3.6.1.min.js"></script>
    <!-- jQuery UI -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/jquery-ui.min.js"></script>
    <!-- cookie -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/js.cookie.min.js"></script>
    <!-- Select2 -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/plugins/select2/js/select2.min.js"></script>
    <!-- Owl Carousel -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/plugins/owl-carousel/owl.carousel.min.js"></script>
    <!-- Dropify -->
    <script src="<?php echo e(url('c-assets/beta')); ?>/plugins/dropify/js/dropify.min.js"></script>
    <!-- JS Language Variables file -->
    <script src="<?php echo e(url('g-assets')); ?>/js/lang.js"></script>    
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/app.js"></script>
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/helpers.js"></script>
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/account.js"></script>
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/general.js"></script>
    <script src="<?php echo e(url('c-assets/beta')); ?>/js/menu.js"></script>

    <?php echo $__env->yieldContent('page-scripts'); ?>

</html><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/candidate/beta/layouts/master.blade.php ENDPATH**/ ?>