<!DOCTYPE html>
<html lang="en">
    <head>
        <title><?php echo $__env->yieldContent('page-title'); ?></title>
        <meta charset="utf-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <meta content="<?php echo e(settingEmpSlug('site_keywords')); ?>" name="keywords">
        <meta content="<?php echo e(settingEmpSlug('site_description')); ?>" name="description">
        <meta property="route" content="<?php echo e(empUrl()); ?>">
        <meta property="token" content="<?php echo e(csrf_token()); ?>">
        <!-- Favicon -->
        <link href="<?php echo e(settingEmpSlug('site_favicon')); ?>" rel="icon">
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,700,700i|Montserrat:300,400,500,700" rel="stylesheet">
        <!-- CSS Libraries (For External components/plugins) -->
        <link href="<?php echo e(url('/')); ?>/c-assets/css/jquery-ui.css" rel="stylesheet">
        <link href="<?php echo e(url('/')); ?>/c-assets/css/dropify.min.css" rel="stylesheet">
        <link href="<?php echo e(url('/')); ?>/c-assets/css/font-awesome-all.min.css" rel="stylesheet">
        <link href="<?php echo e(url('/')); ?>/c-assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="<?php echo e(url('/')); ?>/c-assets/css/bootstrap-social.css" rel="stylesheet">
        <link href="<?php echo e(url('/')); ?>/c-assets/css/bar-rating-pill.css" rel="stylesheet">
        <link href="<?php echo e(url('/')); ?>/c-assets/plugins/iCheck/square/blue.css" rel="stylesheet">
        <!-- Internal Style files -->
        <?php if(empSlugBranding()): ?>
        <link href="<?php echo e(url('/').'/'.employerPath(true)); ?>/custom-style.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <link href="<?php echo e(url('/').'/'.employerPath(true)); ?>/variables.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <?php else: ?>
        <link href="<?php echo e(url('c-assets')); ?>/css/variables.css?ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <?php endif; ?>
        <link href="<?php echo e(url('/')); ?>/c-assets/css/style.css" rel="stylesheet">

        <?php echo setting('candidate_header_scripts'); ?>

    </head>
    <body>
        <!--==========================
                Header
        ============================-->
        <header id="header" class="fixed-top">
            <div class="container">
                <div class="logo float-left">
                    <a href="<?php echo e(rtrim(empUrl(), '/')); ?>" class="scrollto">
                    <img src="<?php echo e(settingEmpSlug('site_logo')); ?>" onerror="this.src='<?php echo e(setting('site_logo')); ?>'" alt="" class="img-fluid">
                    </a>
                </div>
                <nav class="main-nav float-right">
                    <ul>
                        <li>
                            <?php if(candidateSession()): ?>
                            <a class="btn btn-primary btn-sm front-account-btn" href="<?php echo e(empUrl()); ?>login"
                                title="<?php echo e(candidateSession('first_name')); ?>">
                            Hi, <?php echo e(trimString(candidateSession('first_name'), 7)); ?>

                            </a>
                            <?php else: ?>
                            <a class="btn btn-primary btn-sm front-account-btn" href="<?php echo e(empUrl()); ?>login"><?php echo e(__('message.account')); ?></a>
                            <?php endif; ?>
                        </li>
                    </ul>
                </nav>
                <!-- .main-nav -->
            </div>
        </header>
        <!-- #header -->

        <?php echo $__env->yieldContent('content'); ?>

        <!-- Top Modal -->
        <div class="modal fade in" id="modal-default" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header resume-modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span></button>
                        <h4 class="modal-title resume-modal-title"><?php echo e(__('message.refer_job')); ?></h4>
                    </div>
                    <div class="modal-body-container">
                    </div>
                    <!-- /.modal-content -->
                </div>
                <!-- /.modal-dialog -->
            </div>
        </div>
        <!--==========================
                Footer
        ============================-->
        <?php $footer = footerColumns(); ?>
        <footer id="footer">
            <?php if($footer['columns']): ?>
            <div class="footer-top">
                <div class="container">
                    <div class="row">
                        <?php $__currentLoopData = $footer['columns']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $column): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-md-<?php echo e($footer['column_count']); ?> col-sm-12">
                            <?php echo $column; ?>

                        </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
            <?php endif; ?>
        </footer>
        <!-- #footer -->
        <a href="#" class="back-to-top"><i class="fa fa-chevron-up"></i></a>
    </body>


    <!-- JavaScript Libraries (For External components/plugins) -->
    <script src="<?php echo e(url('c-assets')); ?>/js/jquery.min.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/jquery-ui.min.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/bootstrap.min.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/dropify.min.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/bar-rating.min.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/plugins/iCheck/iCheck.js"></script>
    <!-- JS Language Variables file -->
    <script src="<?php echo e(url('g-assets')); ?>/js/lang.js"></script>
    <!-- Files For Functionalities -->
    <script src="<?php echo e(url('c-assets')); ?>/js/app.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/account.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/general.js"></script>
    <script src="<?php echo e(url('c-assets')); ?>/js/dot_menu.js"></script>

    <?php echo setting('candidate_footer_scripts'); ?>

    
</html>
<?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/candidate/layouts/master.blade.php ENDPATH**/ ?>