
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!--==========================
    Intro Section
============================-->
<?php if(settingEmpSlug('enable_home_banner') == 'yes'): ?>
<section id="intro" class="clearfix">
    <div class="container">
        <div class="intro-img">
        </div>
        <div class="intro-info">
            <?php echo settingEmpSlug('banner_text'); ?>

        </div>
    </div>
</section>
<!-- #intro -->
<?php endif; ?>
<main id="main">
    <?php if(settingEmpSlug('before_how_text')): ?>
    <section id="home-custom-content">
        <div class="container">
            <div class="row row-eq-height justify-content-center">
                <div class="col-lg-12 mb-4">
                    <?php echo settingEmpSlug('before_how_text'); ?>

                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <?php if(settingEmpSlug('home_how_it_works') == 'yes'): ?>
    <!--==========================
        How It Works Section
    ============================-->
    <section id="how-it-works">
        <div class="container">
            <header class="section-header">
                <h3><?php echo e(__('message.how_it_works')); ?></h3>
                <p><?php echo e(__('message.follow_three_simple_steps')); ?></p>
            </header>
            <div class="row row-eq-height justify-content-center">
                <div class="col-lg-4 mb-4">
                    <div class="card">
                        <i class="fa fa-plus"></i>
                        <div class="card-body">
                            <h5 class="card-title"><?php echo e(__('message.create_account')); ?></h5>
                            <p class="card-text"><?php echo e(__('message.simply_login_with_existing')); ?>.</p>
                            <a href="<?php echo e(empUrl()); ?>login" class="readmore"><?php echo e(__('message.more')); ?></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 mb-4">
                    <div class="card">
                        <i class="fa fa-search"></i>
                        <div class="card-body">
                            <h5 class="card-title"><?php echo e(__('message.find_job')); ?></h5>
                            <p class="card-text"><?php echo e(__('message.find_job_that_best_matches')); ?></p>
                            <a href="<?php echo e(empUrl()); ?>jobs" class="readmore"><?php echo e(__('message.more')); ?></a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-4 mb-4">
                    <div class="card">
                        <i class="fa fa-check"></i>
                        <div class="card-body">
                            <h5 class="card-title"><?php echo e(__('message.apply')); ?></h5>
                            <p class="card-text"><?php echo e(__('message.fulfill_the_requirements')); ?>.</p>
                            <a href="<?php echo e(empUrl()); ?>blogs" class="readmore"><?php echo e(__('message.more')); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <?php if(settingEmpSlug('after_how_text')): ?>
    <section id="home-custom-content">
        <div class="container">
            <div class="row row-eq-height justify-content-center">
                <div class="col-lg-12 mb-4">
                    <?php echo settingEmpSlug('after_how_text'); ?>

                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <?php if(settingEmpSlug('home_department_section') == 'yes' && $departments): ?>
    <!--==========================
        Departments Section
    ============================-->
    <section id="departments" class="section-bg">
        <div class="container">
            <header class="section-header">
                <h3><?php echo e(__('message.search_jobs_by_department')); ?></h3>
                <p><?php echo e(__('message.select_any_department_to_view')); ?>.</p>
            </header>
            <div class="row">
                <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $department): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-md-4 col-lg-4 sol-sm-12">
                    <div class="box">
                        <a href="<?php echo e(empUrl()); ?>jobs?search=&departments=<?php echo e(encode($department['department_id'])); ?>">
                            <h4 class="title"><?php echo e($department['title']); ?></h4>
                        </a>
                        <?php if($department['image']): ?>
                        <?php $thumb = departmentThumb($department['image']); ?>
                        <a href="<?php echo e(empUrl()); ?>jobs?search=&departments=<?php echo e(encode($department['department_id'])); ?>">
                            <img class="department-image" src="<?php echo e($thumb['image']); ?>" onerror="this.src='<?php echo e($thumb['error']); ?>'"/>
                        </a>
                        <?php endif; ?>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <!-- #departments -->
    <?php endif; ?>
    <?php if(settingEmpSlug('before_blogs_text')): ?>
    <section id="home-custom-content">
        <div class="container">
            <div class="row row-eq-height justify-content-center">
                <div class="col-lg-12 mb-4">
                    <?php echo settingEmpSlug('before_blogs_text'); ?>

                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <?php if(settingEmpSlug('home_blogs_section') == 'yes' && $blogs): ?>
    <!--==========================
        Blogs Section
    ============================-->
    <section id="news-section">
        <div class="container">
            <header class="section-header">
                <h3><?php echo e(__('message.blogs')); ?></h3>
            </header>
            <div class="row row-eq-height justify-content-center">
                <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-4 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <h5 class="card-title"><?php echo e($blog['title']); ?></h5>
                            <p class="card-text"><?php echo trimString($blog['description'], 100); ?>.</p>
                            <a href="<?php echo e(empUrl()); ?>blog/<?php echo e(encode($blog['blog_id'])); ?>" class="readmore">
                                <?php echo e(__('message.more')); ?>

                            </a>
                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <?php endif; ?>
    <?php if(settingEmpSlug('after_blogs_text')): ?>
    <section id="home-custom-content">
        <div class="container">
            <div class="row row-eq-height justify-content-center">
                <div class="col-lg-12 mb-4">
                    <?php echo settingEmpSlug('after_blogs_text'); ?>

                </div>
            </div>
        </div>
    </section>
    <?php endif; ?>
</main>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('candidate'.viewPrfx().'layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/candidate/alpha/home.blade.php ENDPATH**/ ?>