<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title><?php echo e((isset($page_title) ? $page_title.' | ' : '').setting('site_name')); ?></title>
        <meta property="route" content="<?php echo e(url('')); ?>">
        <meta property="token" content="<?php echo e(csrf_token()); ?>">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">

        <meta name="keywords" content="<?php echo e((isset($page_keywords) ? $page_keywords : setting('site_description'))); ?>">
        <meta name="description" content="<?php echo e((isset($page_summary) ? $page_summary : setting('site_description'))); ?>">
        <!-- Favicons -->
        <link href="<?php echo e(setting('site_favicon')); ?>" rel="icon">
        <link href="<?php echo e(setting('site_favicon')); ?>" rel="apple-touch-icon">

        <!-- Bootstrap CSS File -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <!-- Fontawesome CSS File -->
        <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" rel="stylesheet">
        <!-- Flag Icons -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/plugins/flag-icons/flag-icon.min.css" rel="stylesheet">
        <!-- Select2 -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/plugins/select2/css/select2.min.css" rel="stylesheet">
        <!-- Owl Carousel -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/plugins/owl-carousel/owl.carousel.min.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets/beta')); ?>/plugins/owl-carousel/owl.theme.default.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets/beta')); ?>/plugins/owl-carousel/owl.theme.green.min.css" rel="stylesheet">
        <!-- Dropify -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/plugins/dropify/css/dropify.min.css" rel="stylesheet">

        <!-- System CSS -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/variables.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/ct-<?php echo e(defaultColorTheme()); ?>.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/animations.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/patterns.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/style.css" rel="stylesheet">
        <?php $lang = frontLanguage(); ?>
        <?php if($lang['direction'] == 'rtl'): ?>
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/style-rtl.css" rel="stylesheet">
        <?php endif; ?>

        <!-- Custom CSS (Admin) -->
        <link href="<?php echo e(url('f-assets/beta')); ?>/css/custom-css.css" rel="stylesheet">        
    </head>
    <body>

        <?php echo $__env->make('front.beta.layouts.menu', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <?php echo $__env->yieldContent('breadcrumb'); ?>
        
        <?php echo $__env->yieldContent('content'); ?>

        <?php echo $__env->make('front.beta.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    </body>

    <!-- Bootstrap CSS File -->
    <script src="<?php echo e(url('f-assets/beta')); ?>/bootstrap/js/bootstrap.bundle.js"></script>
    <!-- jQuery -->
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/jquery-3.6.1.min.js"></script>
    <!-- cookie -->
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/js.cookie.min.js"></script>
    <!-- Select2 -->
    <script src="<?php echo e(url('f-assets/beta')); ?>/plugins/select2/js/select2.min.js"></script>
    <!-- Owl Carousel -->
    <script src="<?php echo e(url('f-assets/beta')); ?>/plugins/owl-carousel/owl.carousel.min.js"></script>
    <!-- Dropify -->
    <script src="<?php echo e(url('f-assets/beta')); ?>/plugins/dropify/js/dropify.min.js"></script>
    <!-- JS Language Variables file -->
    <script src="<?php echo e(url('g-assets')); ?>/js/lang.js"></script>    
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/app.js"></script>
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/helpers.js"></script>
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/main.js"></script>
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/account.js"></script>
    <script src="<?php echo e(url('f-assets/beta')); ?>/js/menu.js"></script>

    <?php echo $__env->yieldContent('page-scripts'); ?>

</html><?php /**PATH /home/rafhdupu/z-jobs.com/resources/views/front/beta/layouts/master.blade.php ENDPATH**/ ?>