<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <title><?php echo e((isset($page_title) ? $page_title.' | ' : '').setting('site_name')); ?></title>
        <meta property="route" content="<?php echo e(url('')); ?>">
        <meta property="token" content="<?php echo e(csrf_token()); ?>">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">

        <meta name="keywords" content="<?php echo e((isset($page_keywords) ? $page_keywords : '')); ?>">
        <meta name="description" content="<?php echo e((isset($page_summary) ? $page_summary : '')); ?>">

        <meta content="" name="<?php echo e(setting('site_keywords')); ?>">
        <meta content="" name="<?php echo e(setting('site_description')); ?>">
        <!-- Favicons -->
        <link href="<?php echo e(setting('site_favicon')); ?>" rel="icon">
        <link href="<?php echo e(setting('site_favicon')); ?>" rel="apple-touch-icon">
        <!-- Google Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,400i,600,700|Raleway:300,400,400i,500,500i,700,800,900" rel="stylesheet">
        <!-- Bootstrap CSS File -->
        <link href="<?php echo e(url('f-assets')); ?>/lib/bootstrap/css/bootstrap.min.css" rel="stylesheet">
        <!-- Libraries CSS Files -->
        <link href="<?php echo e(url('f-assets')); ?>/lib/owlcarousel/owl.carousel.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/lib/owlcarousel/owl.transitions.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/lib/font-awesome/css/font-awesome.min.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/lib/animate/animate.min.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/lib/icofont/icofont.min.css" rel="stylesheet">
        <!-- Main Stylesheet File -->
        <link href="<?php echo e(url('f-assets')); ?>/css/scrollbar.css" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/css/variables.css??ver=<?php echo e(curRand()); ?>" rel="stylesheet">
        <link href="<?php echo e(url('f-assets')); ?>/css/style.css" rel="stylesheet">
        <!-- Responsive Stylesheet File -->
        <link href="<?php echo e(url('f-assets')); ?>/css/responsive.css" rel="stylesheet">
    </head>
    <body data-spy="scroll" data-target="#navbar-example">
        <!-- header-area start -->
        <header>
            <div id="sticker" class="header-area">
                <div class="container">
                    <div class="row">
                        <div class="col-md-12 col-sm-12">
                            <!-- Navigation -->
                            <nav class="navbar navbar-default">
                                <!-- Brand and toggle get grouped for better mobile display -->
                                <div class="navbar-header">
                                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".bs-example-navbar-collapse-1" aria-expanded="false">
                                    <span class="sr-only">Toggle navigation</span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    <span class="icon-bar"></span>
                                    </button>
                                    <!-- Brand -->
                                    <a class="navbar-brand page-scroll sticky-logo" href="<?php echo e(route('home')); ?>">
                                        <img src="<?php echo e(setting('site_logo')); ?>" alt="<?php echo e(setting('site_name')); ?>" width="300">
                                    </a>
                                </div>
                                <!-- Nav links, forms, and other content for toggling -->
                                <div class="collapse navbar-collapse main-menu bs-example-navbar-collapse-1" id="navbar-example">
                                    <ul class="nav navbar-nav navbar-right">
                                        <?php $__currentLoopData = mainFrontMenu(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php if($item['childs']): ?>
                                                <li class="dropdown">
                                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                                    <?php echo e($item['title']); ?>

                                                    <span class="caret"></span></a>
                                                    <ul class="dropdown-menu" role="menu">
                                                        <?php $__currentLoopData = $item['childs']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $child): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                        <li><a class="<?php echo e(homeLink($child['type'])); ?>" href="<?php echo e($child['link']); ?>"><?php echo e($child['title']); ?></a></li>
                                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                    </ul>
                                                </li>
                                            <?php else: ?>
                                            <li>
                                                <a class="<?php echo e(homeLink($item['type'])); ?>" href="<?php echo e($item['link']); ?>"><?php echo e($item['title']); ?></a>
                                            </li>
                                            <?php endif; ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                                <!-- navbar-collapse -->
                            </nav>
                            <!-- END: Navigation -->
                        </div>
                    </div>
                </div>
            </div>
        </header>
        <!-- header-area end -->

        <?php echo $__env->yieldContent('content'); ?>

        <!-- Start Footer bottom Area -->
        <footer>
            <div class="footer-area">
                <div class="container">
                    <div class="row">
                        <?php $width = footerColWidth() ?>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_1'); ?>

                            </div>
                        </div>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_2'); ?>

                            </div>
                        </div>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_3'); ?>

                            </div>
                        </div>
                        <div class="col-md-<?php echo e($width); ?> col-sm-<?php echo e($width); ?> col-xs-12">
                            <div class="footer-content">
                                <?php echo setting('footer_column_4'); ?>

                            </div>
                        </div>
                        <!-- end single footer -->
                    </div>
                </div>
            </div>
        </footer>
        <a href="#" class="back-to-top"><i class="fa fa-chevron-up"></i></a>
        <!-- JavaScript Libraries -->
        <script src="<?php echo e(url('f-assets')); ?>/lib/jquery/jquery.min.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/lib/bootstrap/js/bootstrap.min.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/lib/owlcarousel/owl.carousel.min.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/lib/easing/easing.min.js"></script>
        <!-- Contact Form JavaScript File -->
        <script src="<?php echo e(url('f-assets')); ?>/js/app.js"></script>
        <script src="<?php echo e(url('f-assets')); ?>/js/front.js"></script>
    </body>
</html><?php /**PATH D:\installations\xampp7.3\htdocs\newlara\resources\views/front/layouts/master.blade.php ENDPATH**/ ?>