<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(url('/')); ?>/admin" class="brand-link">
    <img 
        src="<?php echo e(setting('site_favicon')); ?>" 
        alt="<?php echo e(setting('site_name')); ?>" 
        class="brand-image brand-favicon img-circle elevation-3" 
    />
    &nbsp;&nbsp;&nbsp;
    <span class="brand-text font-weight-light">
        <img src="<?php echo e(setting('site_logo')); ?>" height="25" />
    </span>
    </a>
    <!-- Sidebar -->
    <div class="sidebar">
        <!-- Sidebar Menu -->
        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <?php if(allowedTo('view_dashboard_stats', 'view_sales_chart', 'view_signups_chart')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-dashboard')); ?>" class="nav-link <?php echo e(acActive($menu, 'dashboard')); ?>">
                        <i class="fas fa-tachometer-alt"></i>
                        <p>&nbsp;<?php echo e(__('message.dashboard')); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(allowedTo('view_user_listing')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-users')); ?>" class="nav-link <?php echo e(acActive($menu, 'users')); ?>">
                        <i class="fas fa-user"></i>
                        <p>&nbsp;<?php echo e(__('message.users')); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(allowedTo('view_employer_listing')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-employers')); ?>" class="nav-link <?php echo e(acActive($menu, 'employers')); ?>">
                        <i class="fas fa-user-tie"></i>
                        <p>&nbsp;<?php echo e(__('message.employers')); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(allowedTo('view_candidate_listing')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-candidates')); ?>" class="nav-link <?php echo e(acActive($menu, 'candidates')); ?>">
                        <i class="fas fa-user-graduate"></i>
                        <p>&nbsp;<?php echo e(__('message.candidates')); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(allowedTo('view_packages')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-packages')); ?>" class="nav-link <?php echo e(acActive($menu, 'packages')); ?>">
                        <i class="fas fa-th-list"></i>
                        <p>&nbsp;<?php echo e(__('message.packages')); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(allowedTo('view_memberships')): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-memberships')); ?>" class="nav-link <?php echo e(acActive($menu, 'memberships')); ?>">
                        <i class="fas fa-id-card-alt"></i>
                        <p>&nbsp;<?php echo e(__('message.memberships')); ?></p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(allowedTo(array('view_jobs'))): ?>
                <li class="nav-item <?php echo e(treeActive($menu, array('jobs'))); ?>">
                    <a href="#" class="nav-link">
                        <i class="fas fa-sitemap"></i>
                        <p><?php echo e(__('message.contents')); ?><i class="fas fa-angle-left right"></i></p>
                    </a>
                    <ul class="nav nav-treeview">
                        <?php if(allowedTo('view_jobs')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-jobs')); ?>" class="nav-link <?php echo e(acActive($menu, 'jobs')); ?>">
                                &nbsp;<i class="fas fa-briefcase"></i>
                                <p><?php echo e(__('message.jobs')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                    </ul>
                </li>
                <?php endif; ?>
                <?php if(allowedTo(array('portal_vs_multitenancy', 'admin_view_departments', 'admin_view_job_filters'))): ?>
                <li class="nav-item <?php echo e(treeActive($menu, array('departments', 'job_filters', 'setting-jpvssaas'))); ?>">
                    <a href="#" class="nav-link">
                        <i class="fas fa-cube"></i>
                        <p><?php echo e(__('message.portal_vs_multitenancy')); ?><i class="fas fa-angle-left right"></i></p>
                    </a>
                    <ul class="nav nav-treeview">
                        <?php if(allowedTo('portal_vs_multitenancy')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-jpvssaas')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-jpvssaas')); ?>">
                                &nbsp;<i class="fas fa-cube"></i>
                                <p><?php echo e(__('message.settings')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('admin_view_departments')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-depa')); ?>" class="nav-link <?php echo e(acActive($menu, 'departments')); ?>">
                                &nbsp;<i class="fas fa-cube"></i>
                                <p><?php echo e(__('message.departments')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('admin_view_job_filters')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-job-fil')); ?>" class="nav-link <?php echo e(acActive($menu, 'job_filters')); ?>">
                                &nbsp;<i class="fas fa-cube"></i>
                                <p><?php echo e(__('message.job_filters')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                    </ul>
                </li>
                <?php endif; ?>
                <?php if(allowedTo(array('home_page_settings', 'view_pages', 'view_faqs_listing', 'view_faqs_categories', 'view_news_listing', 'view_news_categories', 'menu_settings', 'view_testimonials', 'view_messages_listing'))): ?>
                <li class="nav-item <?php echo e(treeActive($menu, array('cms', 'setting-home', 'pages', 'news', 'news-categories', 'faqs', 'faqs-categories', 'menus', 'testimonials', 'messages'))); ?>">
                    <a href="#" class="nav-link">
                        <i class="fas fa-project-diagram"></i>
                        <p><?php echo e(__('message.cms')); ?><i class="fas fa-angle-left right"></i></p>
                    </a>
                    <ul class="nav nav-treeview">
                        <?php if(allowedTo('home_page_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-home')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-home')); ?>">
                                &nbsp;<i class="fas fa-home"></i>
                                <p><?php echo e(__('message.home')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_pages')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-pages')); ?>" class="nav-link <?php echo e(acActive($menu, 'pages')); ?>">
                                &nbsp;<i class="fas fa-pager"></i>
                                <p><?php echo e(__('message.pages')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_news_listing')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-news')); ?>" class="nav-link <?php echo e(acActive($menu, 'news')); ?>">
                                &nbsp;<i class="fas fa-newspaper"></i>
                                <p><?php echo e(__('message.news')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_news_categories')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-news-categories')); ?>" class="nav-link <?php echo e(acActive($menu, 'news-categories')); ?>">
                                &nbsp;<i class="fas fa-newspaper"></i>
                                <p><?php echo e(__('message.news_categories')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_faqs_listing')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-faqs')); ?>" class="nav-link <?php echo e(acActive($menu, 'faqs')); ?>">
                                &nbsp;<i class="fas fa-question"></i>
                                <p><?php echo e(__('message.faqs')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_faqs_categories')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-faqs-categories')); ?>" class="nav-link <?php echo e(acActive($menu, 'faqs-categories')); ?>">
                                &nbsp;<i class="fas fa-question"></i>
                                <p><?php echo e(__('message.faqs_categories')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>                        
                        <?php if(allowedTo('menu_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-menus-list')); ?>" class="nav-link <?php echo e(acActive($menu, 'menus')); ?>">
                                &nbsp;<i class="fas fa-ellipsis-h"></i>
                                <p><?php echo e(__('message.menu')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_testimonials')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-testimonials')); ?>" class="nav-link <?php echo e(acActive($menu, 'testimonials')); ?>">
                                &nbsp;<i class="fas fa-comment-alt"></i>
                                <p><?php echo e(__('message.testimonials')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('view_messages_listing')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-messages')); ?>" class="nav-link <?php echo e(acActive($menu, 'messages')); ?>">
                                &nbsp;<i class="fas fa-envelope-square"></i>
                                <p><?php echo e(__('message.messages')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                    </ul>
                </li>
                <?php endif; ?>
                <?php if(allowedTo(array('general_settings', 'display_settings', 'email_settings', 'email_template_settings', 'apis_settings',   
                    'languages_settings', 'roles_settings', 'refresh_memberships', 'employer_override_settings'))): ?>                
                <li class="nav-item <?php echo e(treeActive($menu, array('profile', 'password', 'setting-email', 'setting-email-templates', 'roles', 'setting-apis', 'setting-general', 'setting-display', 'setting-employers', 'languages'))); ?>">
                    <a href="#" class="nav-link">
                        <i class="fas fa-cogs"></i>
                        <p><?php echo e(__('message.settings')); ?><i class="fas fa-angle-left right"></i></p>
                    </a>
                    <ul class="nav nav-treeview">
                        <?php if(allowedTo('general_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-general')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-general')); ?>">
                                &nbsp;<i class="fas fa-cog"></i>
                                <p><?php echo e(__('message.general')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('display_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-display')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-display')); ?>">
                                &nbsp;<i class="fas fa-desktop"></i>
                                <p><?php echo e(__('message.display')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('email_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-email')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-email')); ?>">
                                &nbsp;<i class="fas fa-envelope"></i>
                                <p><?php echo e(__('message.email')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('email_template_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-templates')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-email-templates')); ?>">
                                &nbsp;<i class="fas fa-envelope"></i>
                                <p><?php echo e(__('message.email_templates')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('apis_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-apis')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-apis')); ?>">
                                &nbsp;<i class="fas fa-bezier-curve"></i>
                                <p><?php echo e(__('message.apis')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('languages_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-languages')); ?>" class="nav-link <?php echo e(acActive($menu, 'languages')); ?>">
                                &nbsp;<i class="fas fa-language"></i>
                                <p><?php echo e(__('message.languages')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('roles_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-roles-list')); ?>" class="nav-link <?php echo e(acActive($menu, 'roles')); ?>">
                                &nbsp;<i class="fas fa-users-cog"></i>
                                <p><?php echo e(__('message.roles')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('refresh_memberships')): ?>
                        <li class="nav-item">
                            <a target="_blank" href="<?php echo e(route('refresh-memberships')); ?>" class="nav-link"
                                title="<?php echo e(__('message.refresh_memberships_msg')); ?>">
                                &nbsp;<i class="fas fa-redo-alt"></i>
                                <p><?php echo e(__('message.refresh_memberships')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <?php if(allowedTo('employer_override_settings')): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-settings-employer')); ?>" class="nav-link <?php echo e(acActive($menu, 'setting-employers')); ?>"
                                title="<?php echo e(__('message.refresh_memberships_msg')); ?>">
                                &nbsp;<i class="fas fa-cog"></i>
                                <p><?php echo e(__('message.employer_settings')); ?></p>
                            </a>
                        </li>
                        <?php endif; ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-profile')); ?>" class="nav-link <?php echo e(acActive($menu, 'profile')); ?>">
                                &nbsp;<i class="fas fa-user"></i>
                                <p><?php echo e(__('message.profile')); ?></p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin-password')); ?>" class="nav-link <?php echo e(acActive($menu, 'password')); ?>">
                                &nbsp;<span class="fas fa-lock"></span>
                                <p><?php echo e(__('message.password')); ?></p>
                            </a>
                        </li>
                    </ul>
                </li>
                <?php endif; ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin-logout')); ?>" class="nav-link">
                        <i class="fas fa-sign-out-alt"></i>
                        <p>&nbsp;<?php echo e(__('message.logout')); ?></p>
                    </a>
                </li>                        
            </ul>
        </nav>
        <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
</aside>
<?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/admin/layouts/sidebar.blade.php ENDPATH**/ ?>