<form id="resume-form" class="download-resume-form" method="POST" 
    action="<?php echo e(url('/')); ?>/employer/candidates/resume-download">
    <input type="hidden" name="_token" value="<?php echo e(csrf_token()); ?>">
    <input type="hidden" name="ids" value="<?php echo e(encode($resume_id)); ?>">
    <button type="submit" class="btn btn-primary"><?php echo e(__('message.download')); ?></button>
</form>
<?php if($resume_file): ?>
<a href="<?php echo e(resumeThumb($resume_file)); ?>" title="Download" class="btn btn-primary">
<?php echo e(__('message.download')); ?> File
</a>
<?php endif; ?>
<br /><br />
<?php if($resume): ?>
<table>
    <tr>
        <td>
            <?php $thumb = candidateThumb($resume['image']); ?>
            <img src="<?php echo e($thumb['image']); ?>" height="70" onerror='this.src="<?php echo e($thumb['error']); ?>"' />
        </td>
        <td>
            <h2 class="job-board-resume-section-title">
                <?php echo e($resume['first_name'].' '.$resume['last_name']); ?>

            </h2>
            <p>
                <?php echo e(($resume['email'] ? $resume['email'] : '') 
                    . ($resume['phone1'] ? ", ".$resume['phone1'] : '')
                    . ($resume['phone2'] ? ", ".$resume['phone2'] : '')
                    . ($resume['address'] ? "<br /> ".$resume['address'] : '')
                    . ($resume['city'] ? ", ".$resume['city'] : '')
                    . ($resume['state'] ? ", ".$resume['state'] : '')
                    . ($resume['country'] ? ", ".$resume['country'] : '')); ?>

            </p>
        </td>
    </tr>
</table>

<h2 class="job-board-resume-section-title"><?php echo e(__('message.objective')); ?></h2>
<p><?php echo e($resume['objective']); ?></p>

<h2 class="job-board-resume-section-title"><?php echo e(__('message.job_experiences')); ?></h2>
<?php if($resume['experiences']): ?>
<div class="circles-content-element circles-list">
    <ol>
        <?php $__currentLoopData = $resume['experiences']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $experience): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li>
            <p class="job-board-resume-job-title"><?php echo e($experience['title']); ?> - <?php echo e($experience['company']); ?></p>
            <p class="job-board-resume-job-duration">
                (<?php echo e(timeFormat($experience['from'])); ?> - <?php echo e(timeFormat($experience['to'])); ?>)
            </p>
            <p class="job-board-resume-job-description"><?php echo e($experience['description']); ?></p>
        </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </ol>
</div>
<?php else: ?>
<p><?php echo e(__('message.there_are_no_experiences')); ?></p>
<?php endif; ?>

<h2 class="job-board-resume-section-title"><?php echo e(__('message.qualifications')); ?></h2>
<?php if($resume['qualifications']): ?>
<div class="circles-content-element circles-list">
    <ol>
        <?php $__currentLoopData = $resume['qualifications']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $qualification): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li>
            <p class="job-board-resume-job-title"><?php echo e($qualification['title']); ?> - <?php echo e($qualification['institution']); ?></p>
            <p class="job-board-resume-job-duration">
                (<?php echo e(timeFormat($qualification['from'])); ?> - <?php echo e(timeFormat($qualification['to'])); ?>)
            </p>
            <p class="job-board-resume-job-description">
                <?php echo e($qualification['marks']); ?> Out of <?php echo e($qualification['out_of']); ?>

            </p>
        </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </ol>
</div>
<?php else: ?>
<p><?php echo e(__('message.there_are_no_qualifications')); ?></p>
<?php endif; ?>

<h2 class="job-board-resume-section-title"><?php echo e(__('message.languages')); ?></h2>
<?php if($resume['languages']): ?>
<div class="circles-content-element circles-list">
    <ol>
        <?php $__currentLoopData = $resume['languages']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li>
            <p class="job-board-resume-job-title"><?php echo e($language['title']); ?> (<?php echo e($language['proficiency']); ?>)</p>
        </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </ol>
</div>
<?php else: ?>
<p><?php echo e(__('message.there_are_no_languages')); ?></p>
<?php endif; ?>

<h2 class="job-board-resume-section-title"><?php echo e(__('message.achievements')); ?></h2>
<?php if($resume['achievements']): ?>
<div class="circles-content-element circles-list">
    <ol>
        <?php $__currentLoopData = $resume['achievements']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $achievement): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li>
            <p class="job-board-resume-job-title"><?php echo e($achievement['title']); ?> (<?php echo e($achievement['type']); ?>)</p>
            <?php if($achievement['date']): ?>
            <p class="job-board-resume-job-duration">
                (<?php echo e($achievement['date']); ?>)
            </p>
            <?php endif; ?>
            <?php if($achievement['link']): ?>
            <p class="job-board-resume-job-duration">
                (<?php echo e($achievement['link']); ?>)
            </p>
            <?php endif; ?>
            <p class="job-board-resume-job-description">
                <?php echo e($achievement['description']); ?>

            </p>
        </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </ol>
</div>
<?php else: ?>
<p><?php echo e(__('message.there_are_no_achievements')); ?></p>
<?php endif; ?>

<h2 class="job-board-resume-section-title"><?php echo e(__('message.references')); ?></h2>
<?php if($resume['references']): ?>
<div class="circles-content-element circles-list">
    <ol>
        <?php $__currentLoopData = $resume['references']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reference): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <li>
            <p class="job-board-resume-job-title"><?php echo e($reference['title']); ?> (<?php echo e($reference['relation']); ?>)</p>
            <?php if($reference['company']): ?>
            <p class="job-board-resume-job-duration">
                (<?php echo e($reference['company']); ?>)
            </p>
            <?php endif; ?>
            <?php if($reference['phone']): ?>
            <p class="job-board-resume-job-duration">
                (<?php echo e($reference['phone']); ?>)
            </p>
            <?php endif; ?>
            <p class="job-board-resume-job-duration">
                (<?php echo e($reference['email']); ?>)
            </p>
        </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </ol>
</div>
<?php else: ?>
<p><?php echo e(__('message.there_are_no_references')); ?></p>
<?php endif; ?>
<?php else: ?>
<p>No Resume Found</p>
<?php endif; ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/employer/candidates/resume.blade.php ENDPATH**/ ?>