<?php if($candidates): ?>
<!-- Home Profiles Section Starts -->
<div class="section-profile-boxes-alpha">
	<div class="container">
		<div class="row">
			<div class="col-md-12 col-sm-12">
				<div class="section-heading-style-gamma">
					<div class="section-heading">
						<h2><?php echo e(__('message.candidates')); ?></h2>
					</div>
					<div class="section-intro-text">
						<p><?php echo e(__('message.home_candidates_msg')); ?></p>
					</div>
					<div class="section-intro-button">
						<a class="btn" href="<?php echo e(route('front-candidates')); ?>"><?php echo e(__('message.view_all')); ?></a>
					</div>
				</div>				
			</div>
		</div>
		<div class="row">
			<?php $__currentLoopData = $candidates; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $candidate): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
			<!-- Home Profiles Single Item Starts -->
			<div class="col-lg-4 col-md-12 col-sm-12">
				<div class="section-profile-boxes-alpha-item">
					<?php if(employerSession()): ?>
					<div class="section-profile-boxes-alpha-item-right-controls">
						<?php if(in_array($candidate['candidate_id'], $favorites)): ?>
						<i class="fa-solid fa-heart mark-candidate-favorite favorited" data-id="<?php echo e(encode($candidate['candidate_id'])); ?>"></i>
						<?php else: ?>
						<i class="fa-regular fa-heart mark-candidate-favorite" data-id="<?php echo e(encode($candidate['candidate_id'])); ?>"></i>
						<?php endif; ?>						
					</div>					
					<?php endif; ?>
					<div class="row align-items-center">
						<div class="col-md-12 col-sm-12">
							<div class="section-profile-boxes-alpha-item-heading">
								<a href="<?php echo e(route('front-candidate-detail', ($candidate['slug'] ? $candidate['slug'] : encode($candidate['candidate_id'])))); ?>" class="btn">
									<h2><?php echo e($candidate['first_name'].' '.$candidate['last_name']); ?></h2>
								</a>
							</div>
							<div class="section-profile-boxes-alpha-item-content">
								<p title="<?php echo e($candidate['designation']); ?> | <?php echo e($candidate['city'] ? $candidate['city'] : ''); ?>, <?php echo e($candidate['country'] ? ' ,'.$candidate['country'] : ''); ?>">
									<i class="fa-solid fa-award"></i> <?php echo e(trimString($candidate['designation'], 15)); ?> | 
									<i class="fa-solid fa-location-dot"></i> 
									<?php echo e($candidate['city'] ? $candidate['city'] : ''); ?>, <?php echo e($candidate['country'] ? ' ,'.$candidate['country'] : ''); ?>

								</p>
							</div>
							<div class="section-profile-boxes-alpha-item-icon ">
								<?php $thumb = candidateThumb($candidate['image']); ?>
								<img src="<?php echo e($thumb['image']); ?>" onerror="this.src='<?php echo e($thumb['error']); ?>'" />
							</div>							
							<div class="section-profile-boxes-alpha-item-skills">
								<?php if($candidate['skill_titles'] && is_array($candidate['skill_titles'])): ?>
									<?php $__currentLoopData = $candidate['skill_titles']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $st): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
									<span><?php echo e($st); ?></span>
									<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
								<?php elseif($candidate['skill_titles']): ?>
									<span><?php echo e($candidate['skill_titles']); ?></span>
								<?php endif; ?>
							</div>
							<div class="section-profile-boxes-alpha-item-resume">
								<span title="<?php echo e($candidate['experiences_count']); ?> <?php echo e(__('message.job_experiences')); ?>">
									<i class="fa-solid fa-user-tie"></i> <?php echo e($candidate['experiences_count']); ?>

								</span>
								<span title="<?php echo e($candidate['qualifications_count']); ?> <?php echo e(__('message.qualifications')); ?>">
									<i class="fa-solid fa-graduation-cap"></i> <?php echo e($candidate['qualifications_count']); ?>

								</span>
								<span title="<?php echo e($candidate['skills_count']); ?> <?php echo e(__('message.skills')); ?>">
									<i class="fa-solid fa-screwdriver-wrench"></i> <?php echo e($candidate['skills_count']); ?>

								</span>
								<span title="<?php echo e($candidate['languages_count']); ?> <?php echo e(__('message.languages')); ?>">
									<i class="fa-solid fa-language"></i> <?php echo e($candidate['languages_count']); ?>

								</span>
								<span title="<?php echo e($candidate['achievements_count']); ?> <?php echo e(__('message.achievements')); ?>">
									<i class="fa-solid fa-trophy"></i> <?php echo e($candidate['achievements_count']); ?>

								</span>
								<span title="<?php echo e($candidate['references_count']); ?> <?php echo e(__('message.references')); ?>">
									<i class="fa-solid fa-link"></i> <?php echo e($candidate['references_count']); ?>

								</span>
							</div>
							<div class="section-profile-boxes-alpha-item-button">
								<a href="<?php echo e(route('front-candidate-detail', ($candidate['slug'] ? $candidate['slug'] : encode($candidate['candidate_id'])))); ?>" class="btn">
									<?php echo e(__('message.view_profile')); ?>

								</a>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!-- Home Profiles Single Item ends -->
			<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
		</div>
	</div>
</div>
<!-- Home Profiles Section Ends -->
<?php endif; ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/front/beta/partials/home-candidates-section.blade.php ENDPATH**/ ?>