
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('menu'); ?><?php echo e($menu); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0"><?php echo e(__('message.jobs')); ?></h1>
                </div>
                <!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin-dashboard')); ?>"><?php echo e(__('message.home')); ?></a></li>
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin-jobs-create-or-edit')); ?>"><?php echo e(__('message.jobs')); ?></a></li>
                        <li class="breadcrumb-item active"><?php echo e(__('message.create')); ?></li>
                    </ol>
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title"><?php echo e(__('message.edit')); ?></h3>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <?php if(empAllowedTo('create_jobs') || empAllowedTo('edit_jobs')): ?>
                            <form id="admin_job_create_update_form">
                                <input type="hidden" name="job_id" value="<?php echo e(encode($job['job_id'])); ?>" />
                                <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.title')); ?></label>
                                                <input type="text" class="form-control" placeholder="<?php echo e(__('message.enter_title')); ?>" 
                                                    name="title" value="<?php echo e($job['title']); ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.slug')); ?></label>
                                                <input type="text" class="form-control" 
                                                        placeholder="<?php echo e(__('message.will_auto_generate_if_blank')); ?>" 
                                                        name="slug" value="<?php echo e($job['slug']); ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.last_date')); ?></label>
                                                <input type="date" class="form-control" name="last_date" value="<?php echo e($job['last_date'] ? date('Y-m-d', strtotime($job['last_date'])) : ''); ?>">
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.hide_job_after_last_date')); ?></label>
                                                <select class="form-control" name="hide_job_after_last_date">
                                                <option value="1" <?php echo e(sel($job['hide_job_after_last_date'], 1)); ?>><?php echo e(__('message.yes')); ?></option>
                                                <option value="0" <?php echo e(sel($job['hide_job_after_last_date'], 0)); ?>><?php echo e(__('message.no')); ?></option>
                                                </select>
                                            </div>
                                        </div>                                
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.departments')); ?></label>
                                                <select class="form-control select2" id="departments" name="department_id">
                                                    <option value=""><?php echo e(__('message.none')); ?></option>
                                                    <?php $__currentLoopData = $departments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e(encode($value['department_id'])); ?>" <?php echo e(sel($job['department_id'], $value['department_id'])); ?>><?php echo e($value['title'].' ('.($value['company'] ? $value['company'] : 'admin').')'); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.employer')); ?></label>
                                                <select class="form-control select2" id="employers" name="employer_id">
                                                    <?php $__currentLoopData = $employers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option value="<?php echo e($value['employer_id']); ?>" <?php echo e(sel($job['employer_id'], $value['employer_id'])); ?>><?php echo e($value['company'].' ('.$value['first_name'].' '.$value['last_name'].')'); ?></option>
                                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.status')); ?></label>
                                                <select class="form-control" name="status">
                                                    <option value="0" <?php echo e(sel($job['status'], '0')); ?>><?php echo e(__('message.no')); ?></option>
                                                    <option value="1" <?php echo e(sel($job['status'], '1')); ?>><?php echo e(__('message.yes')); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e(__('message.is_static_allowed')); ?></label>
                                                <select class="form-control" name="is_static_allowed">
                                                <option value="0" <?php echo e(sel($job['is_static_allowed'], 0)); ?>><?php echo e(__('message.no')); ?></option>
                                                <option value="1" <?php echo e(sel($job['is_static_allowed'], 1)); ?>><?php echo e(__('message.yes')); ?></option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label>
                                                    <?php echo e(__('message.description')); ?>

                                                </label>
                                                <textarea id="job-description" name="description"><?php echo e($job['description']); ?></textarea>
                                            </div>
                                        </div>
                                        <?php if($job_filters): ?>
                                        <?php $__currentLoopData = $job_filters; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $filter): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label><?php echo e($filter['title'].' ('.($filter['company'] ? $filter['company'] : 'admin').')'); ?></label>
                                                <select class="form-control select2" id="<?php echo e(encode($filter['job_filter_id'])); ?>" 
                                                    name="filters[<?php echo e(encode($filter['job_filter_id'])); ?>][]" multiple="multiple">
                                                <?php $__currentLoopData = $filter['values']; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $v): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <?php $sel = sel2($filter['job_filter_id'], $job['job_filter_ids'], $v['id'], $job['job_filter_value_ids']) ?>
                                                    <option value="<?php echo e(encode($v['id'])); ?>" <?php echo e($sel); ?>><?php echo e($v['title']); ?>

                                                    </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                            </div>
                                        </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                        <div class="col-md-12">
                                            <hr />
                                            <div class="form-group">
                                                <label><?php echo e(__('message.traites')); ?></label>
                                                <select class="form-control select2" id="traites[]" name="traites[]" multiple="multiple">
                                                <?php $__currentLoopData = $traites; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php $jobTraits = $job['traites'] ? explode(',', $job['traites']) : array(); ?>
                                                <option value="<?php echo e(encode($value['traite_id'])); ?>" <?php echo e(sel($value['traite_id'], $jobTraits)); ?>><?php echo e($value['title'].' ('.($value['company'] ? $value['company'] : 'admin').')'); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                                <br />
                                                <b><?php echo e(__('message.notes')); ?></b><br />
                                                <ul>
                                                    <li><?php echo e(__('message.traites_can_not_be_assigned')); ?></li>
                                                    <li><?php echo e(__('message.traites_can_only_be_answerd')); ?></li>
                                                </ul>
                                            </div>
                                        </div>
                                        <div class="col-md-12">
                                            <hr />
                                            <div class="form-group">
                                                <label><?php echo e(__('message.quizes')); ?></label>
                                                <select class="form-control select2" id="quizes[]" name="quizes[]" multiple="multiple">
                                                <?php $__currentLoopData = $quizes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php $jobQuizes = $job['quizes'] ? explode(',', $job['quizes']) : array() ?>
                                                <option value="<?php echo e(encode($value['quiz_id'])); ?>" <?php echo e(sel($value['quiz_id'], $jobQuizes)); ?>><?php echo e($value['title'].' ('.($value['company'] ? $value['company'] : 'admin').')'); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </select>
                                                <br />
                                                <b><?php echo e(__('message.notes')); ?></b><br />
                                                <ul>
                                                    <li><?php echo e(__('message.quizes_can_be_assigned')); ?></li>
                                                    <li><?php echo e(__('message.quizes_are_attached_to')); ?></li>
                                                    <li><?php echo e(__('message.quizes_assigned_from_here')); ?></li>
                                                    <li><?php echo e(__('message.additional_quizes_can_be')); ?></li>
                                                </ul>
                                            </div>
                                        </div>


                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="submit" class="btn btn-primary btn-blue" id="admin_job_create_update_form_button"><?php echo e(__('message.save')); ?></button>
                                </div>
                            </form>
                            <?php endif; ?>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->


<!-- page script -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-scripts'); ?>
<script src="<?php echo e(url('a-assets')); ?>/js/cf/job.js"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rafhdupu/z-jobs.com/resources/views/admin/jobs/create-or-edit.blade.php ENDPATH**/ ?>