
<?php $__env->startSection('page-title'); ?><?php echo e($page); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('menu'); ?><?php echo e($menu); ?><?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1 class="m-0"><?php echo e(__('message.settings')); ?></h1>
                </div>
                <!-- /.col -->
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="#"><?php echo e(__('message.home')); ?></a></li>
                        <li class="breadcrumb-item"><a href="#"><?php echo e(__('message.settings')); ?></a></li>
                        <li class="breadcrumb-item active"><?php echo e(__('message.general')); ?></li>
                    </ol>
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->
    <!-- Main content -->
    <div class="content">
        <div class="container-fluid">
            <div class="card card-default">
                <div class="card-header">
                    <h3 class="card-title"><?php echo e(__('message.general')); ?></h3>
                    <div class="card-tools">
                        <button type="button" class="btn btn-tool" data-card-widget="collapse">
                        <i class="fas fa-minus"></i>
                        </button>
                    </div>
                </div>
                <!-- /.card-header -->
                <div class="card-body">
                <form id="admin_settings_form" method="post">
                    <?php echo csrf_field(); ?>
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.logo')); ?></label>
                                <input type="file" class="form-control dropify" name="site_logo" 
                                data-default-file="<?php echo e(setting('site_logo')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.banner')); ?></label>
                                <input type="file" class="form-control dropify" name="site_banner" 
                                data-default-file="<?php echo e(setting('site_banner')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.breadcrumb_image')); ?></label>
                                <input type="file" class="form-control dropify" name="testimonials_banner" 
                                data-default-file="<?php echo e(setting('testimonials_banner')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label><?php echo e(__('message.favicon')); ?></label>
                                <input type="file" class="form-control dropify" name="site_favicon" 
                                data-default-file="<?php echo e(setting('site_favicon')); ?>" />
                            </div>
                        </div>
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.site_name')); ?></label>
                                <input type="text" class="form-control" name="site_name" 
                                value="<?php echo e(setting('site_name')); ?>">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.admin_email')); ?></label>
                                <input type="text" class="form-control" name="admin_email" 
                                value="<?php echo e(setting('admin_email')); ?>">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.purchase_code')); ?></label>
                                <input type="text" class="form-control" name="purchase_code" 
                                value="<?php echo e(setting('purchase_code')); ?>">
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.site_keywords')); ?></label>
                                <textarea class="form-control" name="site_keywords"><?php echo e(setting('site_keywords')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.site_description')); ?></label>
                                <textarea class="form-control" name="site_description"><?php echo e(setting('site_description')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.front_header_scripts')); ?></label>
                                <textarea class="form-control" name="front_header_scripts"><?php echo e(setting('front_header_scripts')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.front_footer_scripts')); ?></label>
                                <textarea class="form-control" name="front_footer_scripts"><?php echo e(setting('front_footer_scripts')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.employer_header_scripts')); ?></label>
                                <textarea class="form-control" name="employer_header_scripts"><?php echo e(setting('employer_header_scripts')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.employer_footer_scripts')); ?></label>
                                <textarea class="form-control" name="employer_footer_scripts"><?php echo e(setting('employer_footer_scripts')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.candidate_header_scripts')); ?></label>
                                <textarea class="form-control" name="candidate_header_scripts"><?php echo e(setting('candidate_header_scripts')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label><?php echo e(__('message.candidate_footer_scripts')); ?></label>
                                <textarea class="form-control" name="candidate_footer_scripts"><?php echo e(setting('candidate_footer_scripts')); ?></textarea>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_editor_for_email_templates')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_editor_for_email_templates" value="yes" 
                                <?php echo e(sel(setting('enable_editor_for_email_templates'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_editor_for_email_templates" value="no"
                                <?php echo e(sel(setting('enable_editor_for_email_templates'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-12">
                            <h2><?php echo e(__('message.employer')); ?></h2>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_employer_registeration')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_employer_registeration" value="yes" 
                                <?php echo e(sel(setting('enable_employer_registeration'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_employer_registeration" value="no"
                                <?php echo e(sel(setting('enable_employer_registeration'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_employer_email_verification')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_employer_email_verification" value="yes" 
                                <?php echo e(sel(setting('enable_employer_email_verification'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_employer_email_verification" value="no"
                                <?php echo e(sel(setting('enable_employer_email_verification'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_employer_forgot_password')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_employer_forgot_password" value="yes" 
                                <?php echo e(sel(setting('enable_employer_forgot_password'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_employer_forgot_password" value="no"
                                <?php echo e(sel(setting('enable_employer_forgot_password'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_employer_free_registeration')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_employer_free_registeration" value="yes" 
                                <?php echo e(sel(setting('enable_employer_free_registeration'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_employer_free_registeration" value="no"
                                <?php echo e(sel(setting('enable_employer_free_registeration'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.employer_free_registeration_days')); ?></label>
                                <input type="number" class="form-control" name="employer_free_registeration_days" 
                                value="<?php echo e(setting('employer_free_registeration_days')); ?>">
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_employer_register_notification')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_employer_register_notification" value="yes" 
                                <?php echo e(sel(setting('enable_employer_register_notification'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_employer_register_notification" value="no"
                                <?php echo e(sel(setting('enable_employer_register_notification'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_employer_job_apply_notification')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_employer_job_apply_notification" value="yes" 
                                <?php echo e(sel(setting('enable_employer_job_apply_notification'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_employer_job_apply_notification" value="no"
                                <?php echo e(sel(setting('enable_employer_job_apply_notification'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.import_employer_dummy_data_on_signup')); ?></label><br />
                                <input type="radio" class="minimal" name="import_employer_dummy_data_on_signup" value="yes" 
                                <?php echo e(sel(setting('import_employer_dummy_data_on_signup'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="import_employer_dummy_data_on_signup" value="no"
                                <?php echo e(sel(setting('import_employer_dummy_data_on_signup'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.import_employer_dummy_data_on_creation')); ?></label><br />
                                <input type="radio" class="minimal" name="import_employer_dummy_data_on_creation" value="yes" 
                                <?php echo e(sel(setting('import_employer_dummy_data_on_creation'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="import_employer_dummy_data_on_creation" value="no"
                                <?php echo e(sel(setting('import_employer_dummy_data_on_creation'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-12">
                            <h2><?php echo e(__('message.candidate')); ?></h2>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_candidate_registeration')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_candidate_registeration" value="yes" 
                                <?php echo e(sel(setting('enable_candidate_registeration'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_candidate_registeration" value="no"
                                <?php echo e(sel(setting('enable_candidate_registeration'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_candidate_email_verification')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_candidate_email_verification" value="yes" 
                                <?php echo e(sel(setting('enable_candidate_email_verification'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_candidate_email_verification" value="no"
                                <?php echo e(sel(setting('enable_candidate_email_verification'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_candidate_forgot_password')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_candidate_forgot_password" value="yes" 
                                <?php echo e(sel(setting('enable_candidate_forgot_password'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_candidate_forgot_password" value="no"
                                <?php echo e(sel(setting('enable_candidate_forgot_password'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_candidate_register_notification')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_candidate_register_notification" value="yes" 
                                <?php echo e(sel(setting('enable_candidate_register_notification'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_candidate_register_notification" value="no"
                                <?php echo e(sel(setting('enable_candidate_register_notification'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_candidate_job_apply_notification')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_candidate_job_apply_notification" value="yes" 
                                <?php echo e(sel(setting('enable_candidate_job_apply_notification'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_candidate_job_apply_notification" value="no"
                                <?php echo e(sel(setting('enable_candidate_job_apply_notification'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.enable_multiple_resume')); ?></label><br />
                                <input type="radio" class="minimal" name="enable_multiple_resume" value="yes" 
                                <?php echo e(sel(setting('enable_multiple_resume'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="enable_multiple_resume" value="no"
                                <?php echo e(sel(setting('enable_multiple_resume'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.jobs_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="jobs_per_page" value="5" 
                                <?php echo e(sel(setting('jobs_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="jobs_per_page" value="10"
                                <?php echo e(sel(setting('jobs_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="jobs_per_page" value="25"
                                <?php echo e(sel(setting('jobs_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="jobs_per_page" value="50"
                                <?php echo e(sel(setting('jobs_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.news_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="news_per_page" value="5" 
                                <?php echo e(sel(setting('news_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="news_per_page" value="10"
                                <?php echo e(sel(setting('news_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="news_per_page" value="25"
                                <?php echo e(sel(setting('news_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="news_per_page" value="50"
                                <?php echo e(sel(setting('news_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.companies_per_page')); ?></label><br />
                                <input type="radio" class="minimal" name="companies_per_page" value="5" 
                                <?php echo e(sel(setting('companies_per_page'), '5', 'checked')); ?>>
                                <strong><?php echo e(__('message.5')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="companies_per_page" value="10"
                                <?php echo e(sel(setting('companies_per_page'), '10', 'checked')); ?>>
                                <strong><?php echo e(__('message.10')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="companies_per_page" value="25"
                                <?php echo e(sel(setting('companies_per_page'), '25', 'checked')); ?>>
                                <strong><?php echo e(__('message.25')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="companies_per_page" value="50"
                                <?php echo e(sel(setting('companies_per_page'), '50', 'checked')); ?>>
                                <strong><?php echo e(__('message.50')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.allow_all_jobs_page')); ?></label><br />
                                <input type="radio" class="minimal" name="allow_all_jobs_page" value="yes" 
                                <?php echo e(sel(setting('allow_all_jobs_page'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="allow_all_jobs_page" value="no"
                                <?php echo e(sel(setting('allow_all_jobs_page'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.allow_all_companies_page')); ?></label><br />
                                <input type="radio" class="minimal" name="allow_all_companies_page" value="yes" 
                                <?php echo e(sel(setting('allow_all_companies_page'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="allow_all_companies_page" value="no"
                                <?php echo e(sel(setting('allow_all_companies_page'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>
                        
                        <div class="col-md-12">
                            <hr />
                        </div>
                        <div class="col-md-12">
                            <h2><?php echo e(__('message.front_site_display_settings')); ?></h2>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.display_main_menu_bg_as_transparent')); ?></label><br />
                                <input type="radio" class="minimal" name="display_main_menu_bg_as_transparent" value="yes" 
                                <?php echo e(sel(setting('display_main_menu_bg_as_transparent'), 'yes', 'checked')); ?>>
                                <strong><?php echo e(__('message.yes')); ?></strong>&nbsp;&nbsp;&nbsp;
                                <input type="radio" class="minimal" name="display_main_menu_bg_as_transparent" value="no"
                                <?php echo e(sel(setting('display_main_menu_bg_as_transparent'), 'no', 'checked')); ?>>
                                <strong><?php echo e(__('message.no')); ?></strong>
                            </div>
                        </div>                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="1">
                                    <input type="text" name="main_menu_bg" class="form-control" value="<?php echo e(setting('main_menu_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_banner_height')); ?></label>
                                <input type="text" class="form-control" name="main_banner_height" value="<?php echo e(setting('main_banner_height')); ?>">
                                <!-- /.input group -->
                            </div>
                        </div>                        
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_btn_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_menu_btn_bg" class="form-control" value="<?php echo e(setting('main_menu_btn_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_btn_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_font_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_menu_font_color" class="form-control" value="<?php echo e(setting('main_menu_font_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_font_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_sticky_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_menu_sticky_bg" class="form-control" value="<?php echo e(setting('main_menu_sticky_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_sticky_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.main_menu_sticky_font_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="main_menu_sticky_font_color" class="form-control" value="<?php echo e(setting('main_menu_sticky_font_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('main_menu_sticky_font_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.mobile_menu_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="mobile_menu_bg" class="form-control" value="<?php echo e(setting('mobile_menu_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('mobile_menu_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.mobile_menu_sidebar_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="mobile_menu_sidebar_bg" class="form-control" value="<?php echo e(setting('mobile_menu_sidebar_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('mobile_menu_sidebar_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.mobile_menu_font_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="mobile_menu_font_color" class="form-control" value="<?php echo e(setting('mobile_menu_font_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('mobile_menu_font_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.icons_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="icons_color" class="form-control" value="<?php echo e(setting('icons_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('icons_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.breadcrumb_background')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="breadcrumb_background" class="form-control" value="<?php echo e(setting('breadcrumb_background')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('breadcrumb_background')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.breadcrumb_font_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="breadcrumb_font_color" class="form-control" value="<?php echo e(setting('breadcrumb_font_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('breadcrumb_font_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.site_btn_bg')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="site_btn_bg" class="form-control" value="<?php echo e(setting('site_btn_bg')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('site_btn_bg')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label><?php echo e(__('message.site_btn_font_color')); ?></label>
                                <div class="input-group colorpicker2 colorpicker-element" data-colorpicker-id="2">
                                    <input type="text" name="site_btn_font_color" class="form-control" value="<?php echo e(setting('site_btn_font_color')); ?>" />
                                    <div class="input-group-append">
                                        <span class="input-group-text">
                                            <!--Inline style used because of dynamic data requirement-->
                                            <i class="fas fa-square" style="color: <?php echo e(setting('site_btn_font_color')); ?>;"></i>
                                        </span>
                                    </div>
                                </div>
                                <!-- /.input group -->
                            </div>
                        </div>
                    </div>
                    <!-- /.row -->

                    <div class="row">
                        <div class="col-4">
                            <button type="submit" class="btn btn-primary" id="admin_settings_form_button">
                                <?php echo e(__('message.update')); ?>

                            </button>
                        </div>
                        <!-- /.col -->
                    </div>

                </form>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                </div>
            </div>
        </div>
        <!-- /.container-fluid -->
    </div>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<?php $__env->stopSection(); ?>
<?php $__env->startSection('page-scripts'); ?>
<script src="<?php echo e(url('a-assets')); ?>/js/cf/setting.js"></script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\projects\candidatefinder-saas\script\resources\views/admin/settings/general.blade.php ENDPATH**/ ?>