<form id="admin_candidate_create_update_form">
    <input type="hidden" name="candidate_id" value="<?php echo e(esc_output($candidate['candidate_id'])); ?>" />
    <div class="modal-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.first_name')); ?></label>
                    <input type="text" class="form-control" name="first_name" value="<?php echo e(esc_output($candidate['first_name'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.last_name')); ?></label>
                    <input type="text" class="form-control" name="last_name" value="<?php echo e(esc_output($candidate['last_name'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.email')); ?></label>
                    <input type="text" class="form-control" name="email" value="<?php echo e(esc_output($candidate['email'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.phone1')); ?></label>
                    <input type="text" class="form-control" name="phone1" value="<?php echo e(esc_output($candidate['phone1'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.phone2')); ?></label>
                    <input type="text" class="form-control" name="phone2" value="<?php echo e(esc_output($candidate['phone2'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.date_of_birth')); ?></label>
                    <input type="date" class="form-control" name="dob" 
                        value="<?php echo e($candidate['dob'] ? esc_output(date('Y-m-d', strtotime($candidate['dob'])), 'raw') : date('Y-m-d')); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.address')); ?></label>
                    <input type="text" class="form-control" name="address" value="<?php echo e(esc_output($candidate['address'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.city')); ?></label>
                    <input type="text" class="form-control" name="city" value="<?php echo e(esc_output($candidate['city'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.state')); ?></label>
                    <input type="text" class="form-control" name="state" value="<?php echo e(esc_output($candidate['state'])); ?>">
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.country')); ?></label>
                    <input type="text" class="form-control" name="country" value="<?php echo e(esc_output($candidate['country'])); ?>">
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.gender')); ?></label>
                    <select class="form-control" name="gender">
                        <option value="male" <?php echo e(sel($candidate['gender'], 'male')); ?>><?php echo e(__('message.male')); ?></option>
                        <option value="female" <?php echo e(sel($candidate['gender'], 'female')); ?>><?php echo e(__('message.female')); ?></option>
                        <option value="other" <?php echo e(sel($candidate['gender'], 'other')); ?>><?php echo e(__('message.other')); ?></option>
                    </select>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label><?php echo e(__('message.password')); ?></label>
                    <input type="password" class="form-control" name="password">
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.short_biography')); ?></label>
                    <textarea class="form-control" name="bio"><?php echo e(esc_output($candidate['bio'], 'textarea')); ?></textarea>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label><?php echo e(__('message.image')); ?></label>
                    <?php $thumb = candidateThumb($candidate['image']); ?>
                    <input type="file" class="form-control dropify" name="image" data-default-file="<?php echo e($thumb['image']); ?>" />
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default pull-left" data-dismiss="modal"><?php echo e(__('message.close')); ?></button>
        <button type="submit" class="btn btn-primary btn-blue" id="admin_candidate_create_update_form_button"><?php echo e(__('message.save')); ?></button>
    </div>
</form><?php /**PATH /home/rafhdupu/z-jobs.com/resources/views/admin/candidates/create-or-edit.blade.php ENDPATH**/ ?>